/*
 * Internal module API header file.
 *
 * Generated by SIP 6.8.6
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtBluetoothAPI_H
#define _QtBluetoothAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_CONSTEXPR
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_QtBluetooth[0]
#define sipNameNr_QBluetoothDeviceDiscoveryAgent__DiscoveryMethods 52
#define sipName_QBluetoothDeviceDiscoveryAgent__DiscoveryMethods &sipStrings_QtBluetooth[52]
#define sipNameNr_QBluetoothDeviceDiscoveryAgent__DiscoveryMethod 101
#define sipName_QBluetoothDeviceDiscoveryAgent__DiscoveryMethod &sipStrings_QtBluetooth[101]
#define sipNameNr_QBluetoothServiceDiscoveryAgent__DiscoveryMode 149
#define sipName_QBluetoothServiceDiscoveryAgent__DiscoveryMode &sipStrings_QtBluetooth[149]
#define sipNameNr_IEEE1107320601RegulatoryCertificationDataList 196
#define sipName_IEEE1107320601RegulatoryCertificationDataList &sipStrings_QtBluetooth[196]
#define sipNameNr_QBluetoothDeviceInfo__MinorMiscellaneousClass 242
#define sipName_QBluetoothDeviceInfo__MinorMiscellaneousClass &sipStrings_QtBluetooth[242]
#define sipNameNr_QLowEnergyAdvertisingParameters__FilterPolicy 288
#define sipName_QLowEnergyAdvertisingParameters__FilterPolicy &sipStrings_QtBluetooth[288]
#define sipNameNr_QLowEnergyAdvertisingParameters__AddressInfo 334
#define sipName_QLowEnergyAdvertisingParameters__AddressInfo &sipStrings_QtBluetooth[334]
#define sipNameNr_QBluetoothDeviceDiscoveryAgent__InquiryType 379
#define sipName_QBluetoothDeviceDiscoveryAgent__InquiryType &sipStrings_QtBluetooth[379]
#define sipNameNr_QBluetoothDeviceInfo__MinorAudioVideoClass 423
#define sipName_QBluetoothDeviceInfo__MinorAudioVideoClass &sipStrings_QtBluetooth[423]
#define sipNameNr_QBluetoothDeviceInfo__MinorPeripheralClass 466
#define sipName_QBluetoothDeviceInfo__MinorPeripheralClass &sipStrings_QtBluetooth[466]
#define sipNameNr_QLowEnergyAdvertisingData__Discoverability 509
#define sipName_QLowEnergyAdvertisingData__Discoverability &sipStrings_QtBluetooth[509]
#define sipNameNr_QBluetoothDeviceInfo__CoreConfigurations 552
#define sipName_QBluetoothDeviceInfo__CoreConfigurations &sipStrings_QtBluetooth[552]
#define sipNameNr_QBluetoothDeviceInfo__MinorComputerClass 593
#define sipName_QBluetoothDeviceInfo__MinorComputerClass &sipStrings_QtBluetooth[593]
#define sipNameNr_QBluetoothDeviceInfo__MinorWearableClass 634
#define sipName_QBluetoothDeviceInfo__MinorWearableClass &sipStrings_QtBluetooth[634]
#define sipNameNr_PeripheralPreferredConnectionParameters 675
#define sipName_PeripheralPreferredConnectionParameters &sipStrings_QtBluetooth[675]
#define sipNameNr_QBluetoothDeviceInfo__CoreConfiguration 715
#define sipName_QBluetoothDeviceInfo__CoreConfiguration &sipStrings_QtBluetooth[715]
#define sipNameNr_QBluetoothDeviceInfo__MinorImagingClass 755
#define sipName_QBluetoothDeviceInfo__MinorImagingClass &sipStrings_QtBluetooth[755]
#define sipNameNr_QBluetoothDeviceInfo__MinorNetworkClass 795
#define sipName_QBluetoothDeviceInfo__MinorNetworkClass &sipStrings_QtBluetooth[795]
#define sipNameNr_QLowEnergyCharacteristic__PropertyTypes 835
#define sipName_QLowEnergyCharacteristic__PropertyTypes &sipStrings_QtBluetooth[835]
#define sipNameNr_QLowEnergyController__RemoteAddressType 875
#define sipName_QLowEnergyController__RemoteAddressType &sipStrings_QtBluetooth[875]
#define sipNameNr_QBluetoothDeviceInfo__DataCompleteness 915
#define sipName_QBluetoothDeviceInfo__DataCompleteness &sipStrings_QtBluetooth[915]
#define sipNameNr_QBluetoothDeviceInfo__MajorDeviceClass 954
#define sipName_QBluetoothDeviceInfo__MajorDeviceClass &sipStrings_QtBluetooth[954]
#define sipNameNr_QBluetoothDeviceInfo__MinorHealthClass 993
#define sipName_QBluetoothDeviceInfo__MinorHealthClass &sipStrings_QtBluetooth[993]
#define sipNameNr_QBluetoothServiceDiscoveryAgent__Error 1032
#define sipName_QBluetoothServiceDiscoveryAgent__Error &sipStrings_QtBluetooth[1032]
#define sipNameNr_QBluetoothTransferReply__TransferError 1071
#define sipName_QBluetoothTransferReply__TransferError &sipStrings_QtBluetooth[1071]
#define sipNameNr_QLowEnergyCharacteristic__PropertyType 1110
#define sipName_QLowEnergyCharacteristic__PropertyType &sipStrings_QtBluetooth[1110]
#define sipNameNr_SportTypeForAerobicAnaerobicThresholds 1149
#define sipName_SportTypeForAerobicAnaerobicThresholds &sipStrings_QtBluetooth[1149]
#define sipNameNr_BaseRateAndLowEnergyCoreConfiguration 1188
#define sipName_BaseRateAndLowEnergyCoreConfiguration &sipStrings_QtBluetooth[1188]
#define sipNameNr_DirectPrintingReferenceObjectsService 1226
#define sipName_DirectPrintingReferenceObjectsService &sipStrings_QtBluetooth[1226]
#define sipNameNr_QBluetoothDeviceDiscoveryAgent__Error 1264
#define sipName_QBluetoothDeviceDiscoveryAgent__Error &sipStrings_QtBluetooth[1264]
#define sipNameNr_QBluetoothDeviceInfo__MinorPhoneClass 1302
#define sipName_QBluetoothDeviceInfo__MinorPhoneClass &sipStrings_QtBluetooth[1302]
#define sipNameNr_QLowEnergyAdvertisingParameters__Mode 1340
#define sipName_QLowEnergyAdvertisingParameters__Mode &sipStrings_QtBluetooth[1340]
#define sipNameNr_QLowEnergyController__ControllerState 1378
#define sipName_QLowEnergyController__ControllerState &sipStrings_QtBluetooth[1378]
#define sipNameNr_KeyboardWithPointingDevicePeripheral 1416
#define sipName_KeyboardWithPointingDevicePeripheral &sipStrings_QtBluetooth[1416]
#define sipNameNr_QBluetoothDeviceInfo__ServiceClasses 1453
#define sipName_QBluetoothDeviceInfo__ServiceClasses &sipStrings_QtBluetooth[1453]
#define sipNameNr_QBluetoothTransferRequest__Attribute 1490
#define sipName_QBluetoothTransferRequest__Attribute &sipStrings_QtBluetooth[1490]
#define sipNameNr_UseWhiteListForScanningAndConnecting 1527
#define sipName_UseWhiteListForScanningAndConnecting &sipStrings_QtBluetooth[1527]
#define sipNameNr_QBluetoothDeviceInfo__MinorToyClass 1564
#define sipName_QBluetoothDeviceInfo__MinorToyClass &sipStrings_QtBluetooth[1564]
#define sipNameNr_1600 1600
#define sipName_1600 &sipStrings_QtBluetooth[1600]
#define sipNameNr_EnvironmentalSensingTriggerSetting 1636
#define sipName_EnvironmentalSensingTriggerSetting &sipStrings_QtBluetooth[1636]
#define sipNameNr_QBluetoothDeviceInfo__ServiceClass 1671
#define sipName_QBluetoothDeviceInfo__ServiceClass &sipStrings_QtBluetooth[1671]
#define sipNameNr_QBluetoothServiceInfo__AttributeId 1706
#define sipName_QBluetoothServiceInfo__AttributeId &sipStrings_QtBluetooth[1706]
#define sipNameNr_QBluetoothUuid__CharacteristicType 1741
#define sipName_QBluetoothUuid__CharacteristicType &sipStrings_QtBluetooth[1741]
#define sipNameNr_QLowEnergyServiceData__ServiceType 1776
#define sipName_QLowEnergyServiceData__ServiceType &sipStrings_QtBluetooth[1776]
#define sipNameNr_ClientCharacteristicConfiguration 1811
#define sipName_ClientCharacteristicConfiguration &sipStrings_QtBluetooth[1811]
#define sipNameNr_EnvironmentalSensingConfiguration 1845
#define sipName_EnvironmentalSensingConfiguration &sipStrings_QtBluetooth[1845]
#define sipNameNr_ServerCharacteristicConfiguration 1879
#define sipName_ServerCharacteristicConfiguration &sipStrings_QtBluetooth[1879]
#define sipNameNr_AdditionalProtocolDescriptorList 1913
#define sipName_AdditionalProtocolDescriptorList &sipStrings_QtBluetooth[1913]
#define sipNameNr_CharacteristicExtendedProperties 1946
#define sipName_CharacteristicExtendedProperties &sipStrings_QtBluetooth[1946]
#define sipNameNr_CharacteristicPresentationFormat 1979
#define sipName_CharacteristicPresentationFormat &sipStrings_QtBluetooth[1979]
#define sipNameNr_QBluetooth__AttAccessConstraints 2012
#define sipName_QBluetooth__AttAccessConstraints &sipStrings_QtBluetooth[2012]
#define sipNameNr_QBluetoothUuid__ServiceClassUuid 2045
#define sipName_QBluetoothUuid__ServiceClassUuid &sipStrings_QtBluetooth[2045]
#define sipNameNr_EnvironmentalSensingMeasurement 2078
#define sipName_EnvironmentalSensingMeasurement &sipStrings_QtBluetooth[2078]
#define sipNameNr_QBluetooth__AttAccessConstraint 2110
#define sipName_QBluetooth__AttAccessConstraint &sipStrings_QtBluetooth[2110]
#define sipNameNr_QBluetoothLocalDevice__HostMode 2142
#define sipName_QBluetoothLocalDevice__HostMode &sipStrings_QtBluetooth[2142]
#define sipNameNr_QBluetoothServiceDiscoveryAgent 2174
#define sipName_QBluetoothServiceDiscoveryAgent &sipStrings_QtBluetooth[2174]
#define sipNameNr_QBluetoothServiceInfo__Protocol 2206
#define sipName_QBluetoothServiceInfo__Protocol &sipStrings_QtBluetooth[2206]
#define sipNameNr_QBluetoothServiceInfo__Sequence 2238
#define sipName_QBluetoothServiceInfo__Sequence &sipStrings_QtBluetooth[2238]
#define sipNameNr_2270 2270
#define sipName_2270 &sipStrings_QtBluetooth[2270]
#define sipNameNr_2302 2302
#define sipName_2302 &sipStrings_QtBluetooth[2302]
#define sipNameNr_QLowEnergyAdvertisingParameters 2334
#define sipName_QLowEnergyAdvertisingParameters &sipStrings_QtBluetooth[2334]
#define sipNameNr_QLowEnergyService__ServiceError 2366
#define sipName_QLowEnergyService__ServiceError &sipStrings_QtBluetooth[2366]
#define sipNameNr_QLowEnergyService__ServiceState 2398
#define sipName_QLowEnergyService__ServiceState &sipStrings_QtBluetooth[2398]
#define sipNameNr_QLowEnergyService__ServiceTypes 2430
#define sipName_QLowEnergyService__ServiceTypes &sipStrings_QtBluetooth[2430]
#define sipNameNr_BluetoothProfileDescriptorList 2462
#define sipName_BluetoothProfileDescriptorList &sipStrings_QtBluetooth[2462]
#define sipNameNr_HostDiscoverableLimitedInquiry 2493
#define sipName_HostDiscoverableLimitedInquiry &sipStrings_QtBluetooth[2493]
#define sipNameNr_QBluetoothDeviceDiscoveryAgent 2524
#define sipName_QBluetoothDeviceDiscoveryAgent &sipStrings_QtBluetooth[2524]
#define sipNameNr_QBluetoothLocalDevice__Pairing 2555
#define sipName_QBluetoothLocalDevice__Pairing &sipStrings_QtBluetooth[2555]
#define sipNameNr_QBluetoothUuid__DescriptorType 2586
#define sipName_QBluetoothUuid__DescriptorType &sipStrings_QtBluetooth[2586]
#define sipNameNr_QLowEnergyConnectionParameters 2617
#define sipName_QLowEnergyConnectionParameters &sipStrings_QtBluetooth[2617]
#define sipNameNr_QLowEnergyService__ServiceType 2648
#define sipName_QLowEnergyService__ServiceType &sipStrings_QtBluetooth[2648]
#define sipNameNr_AlertNotificationControlPoint 2679
#define sipName_AlertNotificationControlPoint &sipStrings_QtBluetooth[2679]
#define sipNameNr_CharacteristicAggregateFormat 2709
#define sipName_CharacteristicAggregateFormat &sipStrings_QtBluetooth[2709]
#define sipNameNr_CharacteristicUserDescription 2739
#define sipName_CharacteristicUserDescription &sipStrings_QtBluetooth[2739]
#define sipNameNr_QBluetoothSocket__SocketError 2769
#define sipName_QBluetoothSocket__SocketError &sipStrings_QtBluetooth[2769]
#define sipNameNr_QBluetoothSocket__SocketState 2799
#define sipName_QBluetoothSocket__SocketState &sipStrings_QtBluetooth[2799]
#define sipNameNr_ServiceAlreadyRegisteredError 2829
#define sipName_ServiceAlreadyRegisteredError &sipStrings_QtBluetooth[2829]
#define sipNameNr_UncategorizedAudioVideoDevice 2859
#define sipName_UncategorizedAudioVideoDevice &sipStrings_QtBluetooth[2859]
#define sipNameNr_WiredModemOrVoiceGatewayPhone 2889
#define sipName_WiredModemOrVoiceGatewayPhone &sipStrings_QtBluetooth[2889]
#define sipNameNr_AnaerobicHeartRateLowerLimit 2919
#define sipName_AnaerobicHeartRateLowerLimit &sipStrings_QtBluetooth[2919]
#define sipNameNr_AnaerobicHeartRateUpperLimit 2948
#define sipName_AnaerobicHeartRateUpperLimit &sipStrings_QtBluetooth[2948]
#define sipNameNr_InvalidBluetoothAdapterError 2977
#define sipName_InvalidBluetoothAdapterError &sipStrings_QtBluetooth[2977]
#define sipNameNr_QBluetoothDeviceInfo__Fields 3006
#define sipName_QBluetoothDeviceInfo__Fields &sipStrings_QtBluetooth[3006]
#define sipNameNr_QBluetoothLocalDevice__Error 3035
#define sipName_QBluetoothLocalDevice__Error &sipStrings_QtBluetooth[3035]
#define sipNameNr_QBluetoothUuid__ProtocolUuid 3064
#define sipName_QBluetoothUuid__ProtocolUuid &sipStrings_QtBluetooth[3064]
#define sipNameNr_3093 3093
#define sipName_3093 &sipStrings_QtBluetooth[3093]
#define sipNameNr_QLowEnergyCharacteristicData 3122
#define sipName_QLowEnergyCharacteristicData &sipStrings_QtBluetooth[3122]
#define sipNameNr_QLowEnergyService__WriteMode 3151
#define sipName_QLowEnergyService__WriteMode &sipStrings_QtBluetooth[3151]
#define sipNameNr_SupportedUnreadAlertCategory 3180
#define sipName_SupportedUnreadAlertCategory &sipStrings_QtBluetooth[3180]
#define sipNameNr_setLowEnergyDiscoveryTimeout 3209
#define sipName_setLowEnergyDiscoveryTimeout &sipStrings_QtBluetooth[3209]
#define sipNameNr_ContinuousGlucoseMonitoring 3238
#define sipName_ContinuousGlucoseMonitoring &sipStrings_QtBluetooth[3238]
#define sipNameNr_HumanInterfaceDeviceService 3266
#define sipName_HumanInterfaceDeviceService &sipStrings_QtBluetooth[3266]
#define sipNameNr_LanguageBaseAttributeIdList 3294
#define sipName_LanguageBaseAttributeIdList &sipStrings_QtBluetooth[3294]
#define sipNameNr_MaximumRecommendedHeartRate 3322
#define sipName_MaximumRecommendedHeartRate &sipStrings_QtBluetooth[3322]
#define sipNameNr_QBluetoothDeviceInfo__Field 3350
#define sipName_QBluetoothDeviceInfo__Field &sipStrings_QtBluetooth[3350]
#define sipNameNr_3378 3378
#define sipName_3378 &sipStrings_QtBluetooth[3378]
#define sipNameNr_3406 3406
#define sipName_3406 &sipStrings_QtBluetooth[3406]
#define sipNameNr_QLowEnergyController__Error 3434
#define sipName_QLowEnergyController__Error &sipStrings_QtBluetooth[3434]
#define sipNameNr_UncategorizedWearableDevice 3462
#define sipName_UncategorizedWearableDevice &sipStrings_QtBluetooth[3462]
#define sipNameNr_AV_RemoteControlController 3490
#define sipName_AV_RemoteControlController &sipStrings_QtBluetooth[3490]
#define sipNameNr_AerobicHeartRateLowerLimit 3517
#define sipName_AerobicHeartRateLowerLimit &sipStrings_QtBluetooth[3517]
#define sipNameNr_AerobicHeartRateUpperLimit 3544
#define sipName_AerobicHeartRateUpperLimit &sipStrings_QtBluetooth[3544]
#define sipNameNr_BodyCompositionMeasurement 3571
#define sipName_BodyCompositionMeasurement &sipStrings_QtBluetooth[3571]
#define sipNameNr_FatBurnHeartRateLowerLimit 3598
#define sipName_FatBurnHeartRateLowerLimit &sipStrings_QtBluetooth[3598]
#define sipNameNr_FatBurnHeartRateUpperLimit 3625
#define sipName_FatBurnHeartRateUpperLimit &sipStrings_QtBluetooth[3625]
#define sipNameNr_HealthBloodPressureMonitor 3652
#define sipName_HealthBloodPressureMonitor &sipStrings_QtBluetooth[3652]
#define sipNameNr_LowEnergyCoreConfiguration 1199
#define sipName_LowEnergyCoreConfiguration &sipStrings_QtBluetooth[1199]
#define sipNameNr_QLowEnergyController__Role 3679
#define sipName_QLowEnergyController__Role &sipStrings_QtBluetooth[3679]
#define sipNameNr_ReferenceTimeUpdateService 3706
#define sipName_ReferenceTimeUpdateService &sipStrings_QtBluetooth[3706]
#define sipNameNr_UncategorizedImagingDevice 3733
#define sipName_UncategorizedImagingDevice &sipStrings_QtBluetooth[3733]
#define sipNameNr_UncategorizedMiscellaneous 3760
#define sipName_UncategorizedMiscellaneous &sipStrings_QtBluetooth[3760]
#define sipNameNr_UnsupportedDiscoveryMethod 3787
#define sipName_UnsupportedDiscoveryMethod &sipStrings_QtBluetooth[3787]
#define sipNameNr_VideoDisplayAndLoudspeaker 3814
#define sipName_VideoDisplayAndLoudspeaker &sipStrings_QtBluetooth[3814]
#define sipNameNr_pairingDisplayConfirmation 3841
#define sipName_pairingDisplayConfirmation &sipStrings_QtBluetooth[3841]
#define sipNameNr_protocolServiceMultiplexer 3868
#define sipName_protocolServiceMultiplexer &sipStrings_QtBluetooth[3868]
#define sipNameNr_AdvancedAudioDistribution 3895
#define sipName_AdvancedAudioDistribution &sipStrings_QtBluetooth[3895]
#define sipNameNr_AttAuthenticationRequired 3921
#define sipName_AttAuthenticationRequired &sipStrings_QtBluetooth[3921]
#define sipNameNr_BaseRateCoreConfiguration 3947
#define sipName_BaseRateCoreConfiguration &sipStrings_QtBluetooth[3947]
#define sipNameNr_DateOfThresholdAssessment 3973
#define sipName_DateOfThresholdAssessment &sipStrings_QtBluetooth[3973]
#define sipNameNr_DigitizerTabletPeripheral 3999
#define sipName_DigitizerTabletPeripheral &sipStrings_QtBluetooth[3999]
#define sipNameNr_GlucoseMeasurementContext 4025
#define sipName_GlucoseMeasurementContext &sipStrings_QtBluetooth[4025]
#define sipNameNr_HandheldClamShellComputer 4051
#define sipName_HandheldClamShellComputer &sipStrings_QtBluetooth[4051]
#define sipNameNr_MessageNotificationServer 4077
#define sipName_MessageNotificationServer &sipStrings_QtBluetooth[4077]
#define sipNameNr_QBluetooth__SecurityFlags 4103
#define sipName_QBluetooth__SecurityFlags &sipStrings_QtBluetooth[4103]
#define sipNameNr_QBluetoothTransferManager 4129
#define sipName_QBluetoothTransferManager &sipStrings_QtBluetooth[4129]
#define sipNameNr_QBluetoothTransferRequest 4155
#define sipName_QBluetoothTransferRequest &sipStrings_QtBluetooth[4155]
#define sipNameNr_4181 4181
#define sipName_4181 &sipStrings_QtBluetooth[4181]
#define sipNameNr_4207 4207
#define sipName_4207 &sipStrings_QtBluetooth[4207]
#define sipNameNr_4233 4233
#define sipName_4233 &sipStrings_QtBluetooth[4233]
#define sipNameNr_QLowEnergyAdvertisingData 4259
#define sipName_QLowEnergyAdvertisingData &sipStrings_QtBluetooth[4259]
#define sipNameNr_SupportedNewAlertCategory 4285
#define sipName_SupportedNewAlertCategory &sipStrings_QtBluetooth[4285]
#define sipNameNr_UncategorizedHealthDevice 4311
#define sipName_UncategorizedHealthDevice &sipStrings_QtBluetooth[4311]
#define sipNameNr_UseWhiteListForConnecting 4337
#define sipName_UseWhiteListForConnecting &sipStrings_QtBluetooth[4337]
#define sipNameNr_UserCanceledTransferError 4363
#define sipName_UserCanceledTransferError &sipStrings_QtBluetooth[4363]
#define sipNameNr_lowEnergyDiscoveryTimeout 4389
#define sipName_lowEnergyDiscoveryTimeout &sipStrings_QtBluetooth[4389]
#define sipNameNr_setPreferredSecurityFlags 4415
#define sipName_setPreferredSecurityFlags &sipStrings_QtBluetooth[4415]
#define sipNameNr_supportedDiscoveryMethods 4441
#define sipName_supportedDiscoveryMethods &sipStrings_QtBluetooth[4441]
#define sipNameNr_AlertNotificationService 4467
#define sipName_AlertNotificationService &sipStrings_QtBluetooth[4467]
#define sipNameNr_AttAuthorizationRequired 4492
#define sipName_AttAuthorizationRequired &sipStrings_QtBluetooth[4492]
#define sipNameNr_BloodPressureMeasurement 4517
#define sipName_BloodPressureMeasurement &sipStrings_QtBluetooth[4517]
#define sipNameNr_BootKeyboardOutputReport 4542
#define sipName_BootKeyboardOutputReport &sipStrings_QtBluetooth[4542]
#define sipNameNr_CharacteristicWriteError 4567
#define sipName_CharacteristicWriteError &sipStrings_QtBluetooth[4567]
#define sipNameNr_CyclingPowerControlPoint 4592
#define sipName_CyclingPowerControlPoint &sipStrings_QtBluetooth[4592]
#define sipNameNr_HardcopyCableReplacement 4617
#define sipName_HardcopyCableReplacement &sipStrings_QtBluetooth[4617]
#define sipNameNr_IODeviceNotReadableError 4642
#define sipName_IODeviceNotReadableError &sipStrings_QtBluetooth[4642]
#define sipNameNr_IntermediateCuffPressure 4667
#define sipName_IntermediateCuffPressure &sipStrings_QtBluetooth[4667]
#define sipNameNr_PointingDevicePeripheral 1428
#define sipName_PointingDevicePeripheral &sipStrings_QtBluetooth[1428]
#define sipNameNr_4692 4692
#define sipName_4692 &sipStrings_QtBluetooth[4692]
#define sipNameNr_QLowEnergyCharacteristic 4717
#define sipName_QLowEnergyCharacteristic &sipStrings_QtBluetooth[4717]
#define sipNameNr_QLowEnergyDescriptorData 4742
#define sipName_QLowEnergyDescriptorData &sipStrings_QtBluetooth[4742]
#define sipNameNr_RecordAccessControlPoint 4767
#define sipName_RecordAccessControlPoint &sipStrings_QtBluetooth[4767]
#define sipNameNr_ReferenceTimeInformation 4792
#define sipName_ReferenceTimeInformation &sipStrings_QtBluetooth[4792]
#define sipNameNr_ThreeZoneHeartRateLimits 4817
#define sipName_ThreeZoneHeartRateLimits &sipStrings_QtBluetooth[4817]
#define sipNameNr_UnknownCoreConfiguration 4842
#define sipName_UnknownCoreConfiguration &sipStrings_QtBluetooth[4842]
#define sipNameNr_UnknownRemoteDeviceError 4867
#define sipName_UnknownRemoteDeviceError &sipStrings_QtBluetooth[4867]
#define sipNameNr_UnsupportedPlatformError 4892
#define sipName_UnsupportedPlatformError &sipStrings_QtBluetooth[4892]
#define sipNameNr_UnsupportedProtocolError 4917
#define sipName_UnsupportedProtocolError &sipStrings_QtBluetooth[4917]
#define sipNameNr_serviceUuidsCompleteness 4942
#define sipName_serviceUuidsCompleteness &sipStrings_QtBluetooth[4942]
#define sipNameNr_setMaxPendingConnections 4967
#define sipName_setMaxPendingConnections &sipStrings_QtBluetooth[4967]
#define sipNameNr_BarometricPressureTrend 4992
#define sipName_BarometricPressureTrend &sipStrings_QtBluetooth[4992]
#define sipNameNr_BootKeyboardInputReport 5016
#define sipName_BootKeyboardInputReport &sipStrings_QtBluetooth[5016]
#define sipNameNr_CharacteristicReadError 5040
#define sipName_CharacteristicReadError &sipStrings_QtBluetooth[5040]
#define sipNameNr_CyclingPowerMeasurement 5064
#define sipName_CyclingPowerMeasurement &sipStrings_QtBluetooth[5064]
#define sipNameNr_DatabaseChangeIncrement 5088
#define sipName_DatabaseChangeIncrement &sipStrings_QtBluetooth[5088]
#define sipNameNr_ExternalReportReference 5112
#define sipName_ExternalReportReference &sipStrings_QtBluetooth[5112]
#define sipNameNr_FiveZoneHeartRateLimits 5136
#define sipName_FiveZoneHeartRateLimits &sipStrings_QtBluetooth[5136]
#define sipNameNr_GeneralUnlimitedInquiry 5160
#define sipName_GeneralUnlimitedInquiry &sipStrings_QtBluetooth[5160]
#define sipNameNr_ImagingAutomaticArchive 5184
#define sipName_ImagingAutomaticArchive &sipStrings_QtBluetooth[5184]
#define sipNameNr_ImagingReferenceObjects 5208
#define sipName_ImagingReferenceObjects &sipStrings_QtBluetooth[5208]
#define sipNameNr_IntermediateTemperature 5232
#define sipName_IntermediateTemperature &sipStrings_QtBluetooth[5232]
#define sipNameNr_MinorMiscellaneousClass 264
#define sipName_MinorMiscellaneousClass &sipStrings_QtBluetooth[264]
#define sipNameNr_PhoneAlertStatusService 5256
#define sipName_PhoneAlertStatusService &sipStrings_QtBluetooth[5256]
#define sipNameNr_QBluetoothServer__Error 5280
#define sipName_QBluetoothServer__Error &sipStrings_QtBluetooth[5280]
#define sipNameNr_QBluetoothTransferReply 5304
#define sipName_QBluetoothTransferReply &sipStrings_QtBluetooth[5304]
#define sipNameNr_5328 5328
#define sipName_5328 &sipStrings_QtBluetooth[5328]
#define sipNameNr_RemoteControlPeripheral 5352
#define sipName_RemoteControlPeripheral &sipStrings_QtBluetooth[5352]
#define sipNameNr_SensingDevicePeripheral 5376
#define sipName_SensingDevicePeripheral &sipStrings_QtBluetooth[5376]
#define sipNameNr_UncategorizedPeripheral 5400
#define sipName_UncategorizedPeripheral &sipStrings_QtBluetooth[5400]
#define sipNameNr_UseWhiteListForScanning 5424
#define sipName_UseWhiteListForScanning &sipStrings_QtBluetooth[5424]
#define sipNameNr_requestConnectionUpdate 5448
#define sipName_requestConnectionUpdate &sipStrings_QtBluetooth[5448]
#define sipNameNr_AV_RemoteControlTarget 5472
#define sipName_AV_RemoteControlTarget &sipStrings_QtBluetooth[5472]
#define sipNameNr_AlertCategoryIDBitMask 5495
#define sipName_AlertCategoryIDBitMask &sipStrings_QtBluetooth[5495]
#define sipNameNr_BodyCompositionFeature 5518
#define sipName_BodyCompositionFeature &sipStrings_QtBluetooth[5518]
#define sipNameNr_CyclingSpeedAndCadence 5541
#define sipName_CyclingSpeedAndCadence &sipStrings_QtBluetooth[5541]
#define sipNameNr_DescriptorValueChanged 5564
#define sipName_DescriptorValueChanged &sipStrings_QtBluetooth[5564]
#define sipNameNr_DiscoverabilityGeneral 5587
#define sipName_DiscoverabilityGeneral &sipStrings_QtBluetooth[5587]
#define sipNameNr_DiscoverabilityLimited 5610
#define sipName_DiscoverabilityLimited &sipStrings_QtBluetooth[5610]
#define sipNameNr_FirmwareRevisionString 5633
#define sipName_FirmwareRevisionString &sipStrings_QtBluetooth[5633]
#define sipNameNr_HardcopyControlChannel 5656
#define sipName_HardcopyControlChannel &sipStrings_QtBluetooth[5656]
#define sipNameNr_HardwareRevisionString 5679
#define sipName_HardwareRevisionString &sipStrings_QtBluetooth[5679]
#define sipNameNr_ManufacturerNameString 5702
#define sipName_ManufacturerNameString &sipStrings_QtBluetooth[5702]
#define sipNameNr_NetworkLoadFactorThree 5725
#define sipName_NetworkLoadFactorThree &sipStrings_QtBluetooth[5725]
#define sipNameNr_ProtocolDescriptorList 1923
#define sipName_ProtocolDescriptorList &sipStrings_QtBluetooth[1923]
#define sipNameNr_RunningSpeedAndCadence 5748
#define sipName_RunningSpeedAndCadence &sipStrings_QtBluetooth[5748]
#define sipNameNr_ServiceDiscoveryServer 5771
#define sipName_ServiceDiscoveryServer &sipStrings_QtBluetooth[5771]
#define sipNameNr_SoftwareRevisionString 5794
#define sipName_SoftwareRevisionString &sipStrings_QtBluetooth[5794]
#define sipNameNr_TemperatureMeasurement 5817
#define sipName_TemperatureMeasurement &sipStrings_QtBluetooth[5817]
#define sipNameNr_TimeUpdateControlPoint 5840
#define sipName_TimeUpdateControlPoint &sipStrings_QtBluetooth[5840]
#define sipNameNr_TwoZoneHeartRateLimits 5863
#define sipName_TwoZoneHeartRateLimits &sipStrings_QtBluetooth[5863]
#define sipNameNr_characteristicToString 5886
#define sipName_characteristicToString &sipStrings_QtBluetooth[5886]
#define sipNameNr_preferredSecurityFlags 5909
#define sipName_preferredSecurityFlags &sipStrings_QtBluetooth[5909]
#define sipNameNr_setServiceAvailability 5932
#define sipName_setServiceAvailability &sipStrings_QtBluetooth[5932]
#define sipNameNr_ApparentWindDirection 5955
#define sipName_ApparentWindDirection &sipStrings_QtBluetooth[5955]
#define sipNameNr_AttEncryptionRequired 5977
#define sipName_AttEncryptionRequired &sipStrings_QtBluetooth[5977]
#define sipNameNr_BrowseGroupDescriptor 5999
#define sipName_BrowseGroupDescriptor &sipStrings_QtBluetooth[5999]
#define sipNameNr_CommonIsdnAccessPhone 6021
#define sipName_CommonIsdnAccessPhone &sipStrings_QtBluetooth[6021]
#define sipNameNr_HandsfreeAudioGateway 6043
#define sipName_HandsfreeAudioGateway &sipStrings_QtBluetooth[6043]
#define sipNameNr_HeartRateControlPoint 6065
#define sipName_HeartRateControlPoint &sipStrings_QtBluetooth[6065]
#define sipNameNr_LocationAndNavigation 6087
#define sipName_LocationAndNavigation &sipStrings_QtBluetooth[6087]
#define sipNameNr_MagneticFluxDensity2D 6109
#define sipName_MagneticFluxDensity2D &sipStrings_QtBluetooth[6109]
#define sipNameNr_MagneticFluxDensity3D 6131
#define sipName_MagneticFluxDensity3D &sipStrings_QtBluetooth[6131]
#define sipNameNr_NetworkLoadFactorFive 6153
#define sipName_NetworkLoadFactorFive &sipStrings_QtBluetooth[6153]
#define sipNameNr_NetworkLoadFactorFour 6175
#define sipName_NetworkLoadFactorFour &sipStrings_QtBluetooth[6175]
#define sipNameNr_ObjectTransferService 6197
#define sipName_ObjectTransferService &sipStrings_QtBluetooth[6197]
#define sipNameNr_PeripheralPrivacyFlag 6219
#define sipName_PeripheralPrivacyFlag &sipStrings_QtBluetooth[6219]
#define sipNameNr_QBluetoothLocalDevice 6241
#define sipName_QBluetoothLocalDevice &sipStrings_QtBluetooth[6241]
#define sipNameNr_QBluetoothServiceInfo 6263
#define sipName_QBluetoothServiceInfo &sipStrings_QtBluetooth[6263]
#define sipNameNr_6285 6285
#define sipName_6285 &sipStrings_QtBluetooth[6285]
#define sipNameNr_QLowEnergyServiceData 6307
#define sipName_QLowEnergyServiceData &sipStrings_QtBluetooth[6307]
#define sipNameNr_RemoteHostClosedError 6329
#define sipName_RemoteHostClosedError &sipStrings_QtBluetooth[6329]
#define sipNameNr_ServiceInfoTimeToLive 6351
#define sipName_ServiceInfoTimeToLive &sipStrings_QtBluetooth[6351]
#define sipNameNr_UncategorizedComputer 6373
#define sipName_UncategorizedComputer &sipStrings_QtBluetooth[6373]
#define sipNameNr_UnknownDescriptorType 6395
#define sipName_UnknownDescriptorType &sipStrings_QtBluetooth[6395]
#define sipNameNr_WearableHeadsetDevice 6417
#define sipName_WearableHeadsetDevice &sipStrings_QtBluetooth[6417]
#define sipNameNr_characteristicChanged 6439
#define sipName_characteristicChanged &sipStrings_QtBluetooth[6439]
#define sipNameNr_characteristicWritten 6461
#define sipName_characteristicWritten &sipStrings_QtBluetooth[6461]
#define sipNameNr_disconnectFromService 6483
#define sipName_disconnectFromService &sipStrings_QtBluetooth[6483]
#define sipNameNr_hasPendingConnections 6505
#define sipName_hasPendingConnections &sipStrings_QtBluetooth[6505]
#define sipNameNr_invalidManufacturerId 6527
#define sipName_invalidManufacturerId &sipStrings_QtBluetooth[6527]
#define sipNameNr_maxPendingConnections 6549
#define sipName_maxPendingConnections &sipStrings_QtBluetooth[6549]
#define sipNameNr_nextPendingConnection 6571
#define sipName_nextPendingConnection &sipStrings_QtBluetooth[6571]
#define sipNameNr_pairingDisplayPinCode 6593
#define sipName_pairingDisplayPinCode &sipStrings_QtBluetooth[6593]
#define sipNameNr_setCoreConfigurations 6615
#define sipName_setCoreConfigurations &sipStrings_QtBluetooth[6615]
#define sipNameNr_setServiceDescription 6637
#define sipName_setServiceDescription &sipStrings_QtBluetooth[6637]
#define sipNameNr_setSupervisionTimeout 6659
#define sipName_setSupervisionTimeout &sipStrings_QtBluetooth[6659]
#define sipNameNr_AttAccessConstraints 2024
#define sipName_AttAccessConstraints &sipStrings_QtBluetooth[2024]
#define sipNameNr_BloodPressureFeature 6681
#define sipName_BloodPressureFeature &sipStrings_QtBluetooth[6681]
#define sipNameNr_BootMouseInputReport 6702
#define sipName_BootMouseInputReport &sipStrings_QtBluetooth[6702]
#define sipNameNr_CardReaderPeripheral 6723
#define sipName_CardReaderPeripheral &sipStrings_QtBluetooth[6723]
#define sipNameNr_DescriptionAttribute 6744
#define sipName_DescriptionAttribute &sipStrings_QtBluetooth[6744]
#define sipNameNr_DescriptorWriteError 6765
#define sipName_DescriptorWriteError &sipStrings_QtBluetooth[6765]
#define sipNameNr_EnvironmentalSensing 6786
#define sipName_EnvironmentalSensing &sipStrings_QtBluetooth[6786]
#define sipNameNr_HardcopyNotification 6807
#define sipName_HardcopyNotification &sipStrings_QtBluetooth[6807]
#define sipNameNr_HeartRateMeasurement 6828
#define sipName_HeartRateMeasurement &sipStrings_QtBluetooth[6828]
#define sipNameNr_HumanInterfaceDevice 6849
#define sipName_HumanInterfaceDevice &sipStrings_QtBluetooth[6849]
#define sipNameNr_LocalTimeInformation 6870
#define sipName_LocalTimeInformation &sipStrings_QtBluetooth[6870]
#define sipNameNr_MessageAccessProfile 6891
#define sipName_MessageAccessProfile &sipStrings_QtBluetooth[6891]
#define sipNameNr_MinorAudioVideoClass 445
#define sipName_MinorAudioVideoClass &sipStrings_QtBluetooth[445]
#define sipNameNr_MinorPeripheralClass 488
#define sipName_MinorPeripheralClass &sipStrings_QtBluetooth[488]
#define sipNameNr_NetworkLoadFactorOne 6912
#define sipName_NetworkLoadFactorOne &sipStrings_QtBluetooth[6912]
#define sipNameNr_NetworkLoadFactorSix 6933
#define sipName_NetworkLoadFactorSix &sipStrings_QtBluetooth[6933]
#define sipNameNr_NetworkLoadFactorTwo 6954
#define sipName_NetworkLoadFactorTwo &sipStrings_QtBluetooth[6954]
#define sipNameNr_NextDSTChangeService 6975
#define sipName_NextDSTChangeService &sipStrings_QtBluetooth[6975]
#define sipNameNr_QBluetooth__Security 6996
#define sipName_QBluetooth__Security &sipStrings_QtBluetooth[6996]
#define sipNameNr_QBluetoothDeviceInfo 7017
#define sipName_QBluetoothDeviceInfo &sipStrings_QtBluetooth[7017]
#define sipNameNr_QLowEnergyController 7038
#define sipName_QLowEnergyController &sipStrings_QtBluetooth[7038]
#define sipNameNr_QLowEnergyDescriptor 7059
#define sipName_QLowEnergyDescriptor &sipStrings_QtBluetooth[7059]
#define sipNameNr_ServiceNotFoundError 7080
#define sipName_ServiceNotFoundError &sipStrings_QtBluetooth[7080]
#define sipNameNr_ServiceTypeSecondary 7101
#define sipName_ServiceTypeSecondary &sipStrings_QtBluetooth[7101]
#define sipNameNr_WriteWithoutResponse 7122
#define sipName_WriteWithoutResponse &sipStrings_QtBluetooth[7122]
#define sipNameNr_disconnectFromDevice 7143
#define sipName_disconnectFromDevice &sipStrings_QtBluetooth[7143]
#define sipNameNr_hostModeStateChanged 7164
#define sipName_hostModeStateChanged &sipStrings_QtBluetooth[7164]
#define sipNameNr_serviceClassToString 7185
#define sipName_serviceClassToString &sipStrings_QtBluetooth[7185]
#define sipNameNr_setIncludePowerLevel 7206
#define sipName_setIncludePowerLevel &sipStrings_QtBluetooth[7206]
#define sipNameNr_setRemoteAddressType 7227
#define sipName_setRemoteAddressType &sipStrings_QtBluetooth[7227]
#define sipNameNr_AttAccessConstraint 2122
#define sipName_AttAccessConstraint &sipStrings_QtBluetooth[2122]
#define sipNameNr_ClientExecutableUrl 7248
#define sipName_ClientExecutableUrl &sipStrings_QtBluetooth[7248]
#define sipNameNr_CyclingPowerFeature 7268
#define sipName_CyclingPowerFeature &sipStrings_QtBluetooth[7268]
#define sipNameNr_DescriptorReadError 7288
#define sipName_DescriptorReadError &sipStrings_QtBluetooth[7288]
#define sipNameNr_DiscoverabilityNone 7308
#define sipName_DiscoverabilityNone &sipStrings_QtBluetooth[7308]
#define sipNameNr_DiscoveringServices 7328
#define sipName_DiscoveringServices &sipStrings_QtBluetooth[7328]
#define sipNameNr_GenericFileTransfer 7348
#define sipName_GenericFileTransfer &sipStrings_QtBluetooth[7348]
#define sipNameNr_HardcopyDataChannel 7368
#define sipName_HardcopyDataChannel &sipStrings_QtBluetooth[7368]
#define sipNameNr_HealthPulseOximeter 7388
#define sipName_HealthPulseOximeter &sipStrings_QtBluetooth[7388]
#define sipNameNr_MagneticDeclination 7408
#define sipName_MagneticDeclination &sipStrings_QtBluetooth[7408]
#define sipNameNr_MeasurementInterval 7428
#define sipName_MeasurementInterval &sipStrings_QtBluetooth[7428]
#define sipNameNr_MessageAccessServer 7448
#define sipName_MessageAccessServer &sipStrings_QtBluetooth[7448]
#define sipNameNr_MiscellaneousDevice 7468
#define sipName_MiscellaneousDevice &sipStrings_QtBluetooth[7468]
#define sipNameNr_PollenConcentration 7488
#define sipName_PollenConcentration &sipStrings_QtBluetooth[7488]
#define sipNameNr_PortableAudioDevice 7508
#define sipName_PortableAudioDevice &sipStrings_QtBluetooth[7508]
#define sipNameNr_PrimaryLanguageBase 7528
#define sipName_PrimaryLanguageBase &sipStrings_QtBluetooth[7528]
#define sipNameNr_ReconnectionAddress 7548
#define sipName_ReconnectionAddress &sipStrings_QtBluetooth[7548]
#define sipNameNr_ServiceAvailability 5935
#define sipName_ServiceAvailability &sipStrings_QtBluetooth[5935]
#define sipNameNr_ServiceRecordHandle 7568
#define sipName_ServiceRecordHandle &sipStrings_QtBluetooth[7568]
#define sipNameNr_UncategorizedDevice 7588
#define sipName_UncategorizedDevice &sipStrings_QtBluetooth[7588]
#define sipNameNr_createServiceObject 7608
#define sipName_createServiceObject &sipStrings_QtBluetooth[7608]
#define sipNameNr_pairingConfirmation 7628
#define sipName_pairingConfirmation &sipStrings_QtBluetooth[7628]
#define sipNameNr_serviceAvailability 7648
#define sipName_serviceAvailability &sipStrings_QtBluetooth[7648]
#define sipNameNr_setIncludedServices 7668
#define sipName_setIncludedServices &sipStrings_QtBluetooth[7668]
#define sipNameNr_setManufacturerData 7688
#define sipName_setManufacturerData &sipStrings_QtBluetooth[7688]
#define sipNameNr_setSocketDescriptor 7708
#define sipName_setSocketDescriptor &sipStrings_QtBluetooth[7708]
#define sipNameNr_setWriteConstraints 7728
#define sipName_setWriteConstraints &sipStrings_QtBluetooth[7728]
#define sipNameNr_setWritePermissions 7748
#define sipName_setWritePermissions &sipStrings_QtBluetooth[7748]
#define sipNameNr_waitForBytesWritten 7768
#define sipName_waitForBytesWritten &sipStrings_QtBluetooth[7768]
#define sipNameNr_writeCharacteristic 7788
#define sipName_writeCharacteristic &sipStrings_QtBluetooth[7788]
#define sipNameNr_AnaerobicThreshold 7808
#define sipName_AnaerobicThreshold &sipStrings_QtBluetooth[7808]
#define sipNameNr_AuthorizationError 7827
#define sipName_AuthorizationError &sipStrings_QtBluetooth[7827]
#define sipNameNr_BodySensorLocation 7846
#define sipName_BodySensorLocation &sipStrings_QtBluetooth[7846]
#define sipNameNr_CharacteristicType 1757
#define sipName_CharacteristicType &sipStrings_QtBluetooth[1757]
#define sipNameNr_CoreConfigurations 574
#define sipName_CoreConfigurations &sipStrings_QtBluetooth[574]
#define sipNameNr_CurrentTimeService 7865
#define sipName_CurrentTimeService &sipStrings_QtBluetooth[7865]
#define sipNameNr_CyclingPowerVector 7884
#define sipName_CyclingPowerVector &sipStrings_QtBluetooth[7884]
#define sipNameNr_GlucoseMeasurement 7903
#define sipName_GlucoseMeasurement &sipStrings_QtBluetooth[7903]
#define sipNameNr_HealthGlucoseMeter 7922
#define sipName_HealthGlucoseMeter &sipStrings_QtBluetooth[7922]
#define sipNameNr_InformationService 7941
#define sipName_InformationService &sipStrings_QtBluetooth[7941]
#define sipNameNr_JoystickPeripheral 7960
#define sipName_JoystickPeripheral &sipStrings_QtBluetooth[7960]
#define sipNameNr_KeyboardPeripheral 7979
#define sipName_KeyboardPeripheral &sipStrings_QtBluetooth[7979]
#define sipNameNr_McapControlChannel 7998
#define sipName_McapControlChannel &sipStrings_QtBluetooth[7998]
#define sipNameNr_MinorComputerClass 615
#define sipName_MinorComputerClass &sipStrings_QtBluetooth[615]
#define sipNameNr_MinorWearableClass 656
#define sipName_MinorWearableClass &sipStrings_QtBluetooth[656]
#define sipNameNr_NetworkFullService 8017
#define sipName_NetworkFullService &sipStrings_QtBluetooth[8017]
#define sipNameNr_PhonebookAccessPCE 8036
#define sipName_PhonebookAccessPCE &sipStrings_QtBluetooth[8036]
#define sipNameNr_PhonebookAccessPSE 8055
#define sipName_PhonebookAccessPSE &sipStrings_QtBluetooth[8055]
#define sipNameNr_PositioningService 8074
#define sipName_PositioningService &sipStrings_QtBluetooth[8074]
#define sipNameNr_QBluetoothHostInfo 8093
#define sipName_QBluetoothHostInfo &sipStrings_QtBluetooth[8093]
#define sipNameNr_RingerControlPoint 8112
#define sipName_RingerControlPoint &sipStrings_QtBluetooth[8112]
#define sipNameNr_ScanIntervalWindow 8131
#define sipName_ScanIntervalWindow &sipStrings_QtBluetooth[8131]
#define sipNameNr_SerialNumberString 8150
#define sipName_SerialNumberString &sipStrings_QtBluetooth[8150]
#define sipNameNr_ServiceDescription 6640
#define sipName_ServiceDescription &sipStrings_QtBluetooth[6640]
#define sipNameNr_ServiceLookupState 8169
#define sipName_ServiceLookupState &sipStrings_QtBluetooth[8169]
#define sipNameNr_ServiceRecordState 8188
#define sipName_ServiceRecordState &sipStrings_QtBluetooth[8188]
#define sipNameNr_ServiceTypePrimary 8207
#define sipName_ServiceTypePrimary &sipStrings_QtBluetooth[8207]
#define sipNameNr_UncategorizedPhone 8226
#define sipName_UncategorizedPhone &sipStrings_QtBluetooth[8226]
#define sipNameNr_UnknownSocketError 8245
#define sipName_UnknownSocketError &sipStrings_QtBluetooth[8245]
#define sipNameNr_WaistCircumference 8264
#define sipName_WaistCircumference &sipStrings_QtBluetooth[8264]
#define sipNameNr_WearableWristWatch 8283
#define sipName_WearableWristWatch &sipStrings_QtBluetooth[8283]
#define sipNameNr_WeightScaleFeature 8302
#define sipName_WeightScaleFeature &sipStrings_QtBluetooth[8302]
#define sipNameNr_addIncludedService 8321
#define sipName_addIncludedService &sipStrings_QtBluetooth[8321]
#define sipNameNr_characteristicRead 8340
#define sipName_characteristicRead &sipStrings_QtBluetooth[8340]
#define sipNameNr_coreConfigurations 8359
#define sipName_coreConfigurations &sipStrings_QtBluetooth[8359]
#define sipNameNr_descriptorToString 8378
#define sipName_descriptorToString &sipStrings_QtBluetooth[8378]
#define sipNameNr_deviceDisconnected 8397
#define sipName_deviceDisconnected &sipStrings_QtBluetooth[8397]
#define sipNameNr_discoveredServices 8416
#define sipName_discoveredServices &sipStrings_QtBluetooth[8416]
#define sipNameNr_maximumValueLength 8435
#define sipName_maximumValueLength &sipStrings_QtBluetooth[8435]
#define sipNameNr_minimumValueLength 8454
#define sipName_minimumValueLength &sipStrings_QtBluetooth[8454]
#define sipNameNr_protocolDescriptor 8473
#define sipName_protocolDescriptor &sipStrings_QtBluetooth[8473]
#define sipNameNr_readCharacteristic 8492
#define sipName_readCharacteristic &sipStrings_QtBluetooth[8492]
#define sipNameNr_serviceDescription 8511
#define sipName_serviceDescription &sipStrings_QtBluetooth[8511]
#define sipNameNr_setCharacteristics 8530
#define sipName_setCharacteristics &sipStrings_QtBluetooth[8530]
#define sipNameNr_setDiscoverability 8549
#define sipName_setDiscoverability &sipStrings_QtBluetooth[8549]
#define sipNameNr_setReadConstraints 8568
#define sipName_setReadConstraints &sipStrings_QtBluetooth[8568]
#define sipNameNr_setReadPermissions 8587
#define sipName_setReadPermissions &sipStrings_QtBluetooth[8587]
#define sipNameNr_setServiceProvider 8606
#define sipName_setServiceProvider &sipStrings_QtBluetooth[8606]
#define sipNameNr_supervisionTimeout 8625
#define sipName_supervisionTimeout &sipStrings_QtBluetooth[8625]
#define sipNameNr_ApparentWindSpeed 8644
#define sipName_ApparentWindSpeed &sipStrings_QtBluetooth[8644]
#define sipNameNr_CoreConfiguration 737
#define sipName_CoreConfiguration &sipStrings_QtBluetooth[737]
#define sipNameNr_DeviceInformation 8662
#define sipName_DeviceInformation &sipStrings_QtBluetooth[8662]
#define sipNameNr_DiscoveryRequired 8680
#define sipName_DiscoveryRequired &sipStrings_QtBluetooth[8680]
#define sipNameNr_FileNotFoundError 8698
#define sipName_FileNotFoundError &sipStrings_QtBluetooth[8698]
#define sipNameNr_GamepadPeripheral 8716
#define sipName_GamepadPeripheral &sipStrings_QtBluetooth[8716]
#define sipNameNr_GenericNetworking 8734
#define sipName_GenericNetworking &sipStrings_QtBluetooth[8734]
#define sipNameNr_HealthDataDisplay 8752
#define sipName_HealthDataDisplay &sipStrings_QtBluetooth[8752]
#define sipNameNr_HealthStepCounter 8770
#define sipName_HealthStepCounter &sipStrings_QtBluetooth[8770]
#define sipNameNr_HealthThermometer 8788
#define sipName_HealthThermometer &sipStrings_QtBluetooth[8788]
#define sipNameNr_HealthWeightScale 8806
#define sipName_HealthWeightScale &sipStrings_QtBluetooth[8806]
#define sipNameNr_HostNotFoundError 8824
#define sipName_HostNotFoundError &sipStrings_QtBluetooth[8824]
#define sipNameNr_LANAccessUsingPPP 8842
#define sipName_LANAccessUsingPPP &sipStrings_QtBluetooth[8842]
#define sipNameNr_MinorImagingClass 777
#define sipName_MinorImagingClass &sipStrings_QtBluetooth[777]
#define sipNameNr_MinorNetworkClass 817
#define sipName_MinorNetworkClass &sipStrings_QtBluetooth[817]
#define sipNameNr_ModelNumberString 8860
#define sipName_ModelNumberString &sipStrings_QtBluetooth[8860]
#define sipNameNr_NetworkingService 8878
#define sipName_NetworkingService &sipStrings_QtBluetooth[8878]
#define sipNameNr_PublicBrowseGroup 8896
#define sipName_PublicBrowseGroup &sipStrings_QtBluetooth[8896]
#define sipNameNr_PyQt5_QtBluetooth 8914
#define sipName_PyQt5_QtBluetooth &sipStrings_QtBluetooth[8914]
#define sipNameNr_QBluetoothAddress 8932
#define sipName_QBluetoothAddress &sipStrings_QtBluetooth[8932]
#define sipNameNr_QLowEnergyService 8950
#define sipName_QLowEnergyService &sipStrings_QtBluetooth[8950]
#define sipNameNr_ReferencePrinting 8968
#define sipName_ReferencePrinting &sipStrings_QtBluetooth[8968]
#define sipNameNr_RemoteAddressType 897
#define sipName_RemoteAddressType &sipStrings_QtBluetooth[897]
#define sipNameNr_ResourceBusyError 8986
#define sipName_ResourceBusyError &sipStrings_QtBluetooth[8986]
#define sipNameNr_ServiceDiscovered 9004
#define sipName_ServiceDiscovered &sipStrings_QtBluetooth[9004]
#define sipNameNr_Synchronization3D 9022
#define sipName_Synchronization3D &sipStrings_QtBluetooth[9022]
#define sipNameNr_TrueWindDirection 9040
#define sipName_TrueWindDirection &sipStrings_QtBluetooth[9040]
#define sipNameNr_UnreadAlertStatus 9058
#define sipName_UnreadAlertStatus &sipStrings_QtBluetooth[9058]
#define sipNameNr_VideoConferencing 9076
#define sipName_VideoConferencing &sipStrings_QtBluetooth[9076]
#define sipNameNr_VideoDistribution 9094
#define sipName_VideoDistribution &sipStrings_QtBluetooth[9094]
#define sipNameNr_WeightMeasurement 9112
#define sipName_WeightMeasurement &sipStrings_QtBluetooth[9112]
#define sipNameNr_WriteWithResponse 9130
#define sipName_WriteWithResponse &sipStrings_QtBluetooth[9130]
#define sipNameNr_addCharacteristic 9148
#define sipName_addCharacteristic &sipStrings_QtBluetooth[9148]
#define sipNameNr_connectionUpdated 9166
#define sipName_connectionUpdated &sipStrings_QtBluetooth[9166]
#define sipNameNr_descriptorWritten 9184
#define sipName_descriptorWritten &sipStrings_QtBluetooth[9184]
#define sipNameNr_discoveredDevices 9202
#define sipName_discoveredDevices &sipStrings_QtBluetooth[9202]
#define sipNameNr_discoveryFinished 9220
#define sipName_discoveryFinished &sipStrings_QtBluetooth[9220]
#define sipNameNr_doDeviceDiscovery 9238
#define sipName_doDeviceDiscovery &sipStrings_QtBluetooth[9238]
#define sipNameNr_includePowerLevel 9256
#define sipName_includePowerLevel &sipStrings_QtBluetooth[9256]
#define sipNameNr_remoteAddressType 9274
#define sipName_remoteAddressType &sipStrings_QtBluetooth[9274]
#define sipNameNr_serviceClassUuids 9292
#define sipName_serviceClassUuids &sipStrings_QtBluetooth[9292]
#define sipNameNr_serviceDiscovered 9310
#define sipName_serviceDiscovered &sipStrings_QtBluetooth[9310]
#define sipNameNr_unregisterService 9328
#define sipName_unregisterService &sipStrings_QtBluetooth[9328]
#define sipNameNr_AV_RemoteControl 9346
#define sipName_AV_RemoteControl &sipStrings_QtBluetooth[9346]
#define sipNameNr_AdvertisingError 9363
#define sipName_AdvertisingError &sipStrings_QtBluetooth[9363]
#define sipNameNr_AdvertisingState 9380
#define sipName_AdvertisingState &sipStrings_QtBluetooth[9380]
#define sipNameNr_AerobicThreshold 9397
#define sipName_AerobicThreshold &sipStrings_QtBluetooth[9397]
#define sipNameNr_AudioVideoDevice 2872
#define sipName_AudioVideoDevice &sipStrings_QtBluetooth[2872]
#define sipNameNr_AuthorizedPaired 9414
#define sipName_AuthorizedPaired &sipStrings_QtBluetooth[9414]
#define sipNameNr_CapturingService 9431
#define sipName_CapturingService &sipStrings_QtBluetooth[9431]
#define sipNameNr_DataCompleteness 937
#define sipName_DataCompleteness &sipStrings_QtBluetooth[937]
#define sipNameNr_DialupNetworking 9448
#define sipName_DialupNetworking &sipStrings_QtBluetooth[9448]
#define sipNameNr_DiscoveringState 9465
#define sipName_DiscoveringState &sipStrings_QtBluetooth[9465]
#define sipNameNr_DiscoveryMethods 84
#define sipName_DiscoveryMethods &sipStrings_QtBluetooth[84]
#define sipNameNr_DocumentationUrl 9482
#define sipName_DocumentationUrl &sipStrings_QtBluetooth[9482]
#define sipNameNr_ExtendedProperty 9499
#define sipName_ExtendedProperty &sipStrings_QtBluetooth[9499]
#define sipNameNr_GenericAttribute 9516
#define sipName_GenericAttribute &sipStrings_QtBluetooth[9516]
#define sipNameNr_GenericTelephony 9533
#define sipName_GenericTelephony &sipStrings_QtBluetooth[9533]
#define sipNameNr_HandheldComputer 9550
#define sipName_HandheldComputer &sipStrings_QtBluetooth[9550]
#define sipNameNr_HipCircumference 9567
#define sipName_HipCircumference &sipStrings_QtBluetooth[9567]
#define sipNameNr_HostDiscoverable 9584
#define sipName_HostDiscoverable &sipStrings_QtBluetooth[9584]
#define sipNameNr_ImagingResponder 9601
#define sipName_ImagingResponder &sipStrings_QtBluetooth[9601]
#define sipNameNr_InputOutputError 9618
#define sipName_InputOutputError &sipStrings_QtBluetooth[9618]
#define sipNameNr_LocationAndSpeed 9635
#define sipName_LocationAndSpeed &sipStrings_QtBluetooth[9635]
#define sipNameNr_MajorDeviceClass 976
#define sipName_MajorDeviceClass &sipStrings_QtBluetooth[976]
#define sipNameNr_ManufacturerData 7691
#define sipName_ManufacturerData &sipStrings_QtBluetooth[7691]
#define sipNameNr_MinimalDiscovery 9652
#define sipName_MinimalDiscovery &sipStrings_QtBluetooth[9652]
#define sipNameNr_MinorHealthClass 1015
#define sipName_MinorHealthClass &sipStrings_QtBluetooth[1015]
#define sipNameNr_NetworkNoService 9669
#define sipName_NetworkNoService &sipStrings_QtBluetooth[9669]
#define sipNameNr_OBEXFileTransfer 9686
#define sipName_OBEXFileTransfer &sipStrings_QtBluetooth[9686]
#define sipNameNr_PeripheralDevice 9703
#define sipName_PeripheralDevice &sipStrings_QtBluetooth[9703]
#define sipNameNr_QBluetoothServer 9720
#define sipName_QBluetoothServer &sipStrings_QtBluetooth[9720]
#define sipNameNr_QBluetoothSocket 9737
#define sipName_QBluetoothSocket &sipStrings_QtBluetooth[9737]
#define sipNameNr_RenderingService 9754
#define sipName_RenderingService &sipStrings_QtBluetooth[9754]
#define sipNameNr_RestingHeartRate 9771
#define sipName_RestingHeartRate &sipStrings_QtBluetooth[9771]
#define sipNameNr_ServiceClassUuid 2061
#define sipName_ServiceClassUuid &sipStrings_QtBluetooth[2061]
#define sipNameNr_TelephonyService 9788
#define sipName_TelephonyService &sipStrings_QtBluetooth[9788]
#define sipNameNr_UncategorizedToy 9805
#define sipName_UncategorizedToy &sipStrings_QtBluetooth[9805]
#define sipNameNr_UnconnectedState 9822
#define sipName_UnconnectedState &sipStrings_QtBluetooth[9822]
#define sipNameNr_UserControlPoint 9839
#define sipName_UserControlPoint &sipStrings_QtBluetooth[9839]
#define sipNameNr_WearableComputer 9856
#define sipName_WearableComputer &sipStrings_QtBluetooth[9856]
#define sipNameNr_connectToService 9873
#define sipName_connectToService &sipStrings_QtBluetooth[9873]
#define sipNameNr_connectedDevices 9890
#define sipName_connectedDevices &sipStrings_QtBluetooth[9890]
#define sipNameNr_createPeripheral 9907
#define sipName_createPeripheral &sipStrings_QtBluetooth[9907]
#define sipNameNr_deviceDiscovered 9924
#define sipName_deviceDiscovered &sipStrings_QtBluetooth[9924]
#define sipNameNr_disconnectNotify 9941
#define sipName_disconnectNotify &sipStrings_QtBluetooth[9941]
#define sipNameNr_discoverServices 9958
#define sipName_discoverServices &sipStrings_QtBluetooth[9958]
#define sipNameNr_includedServices 9975
#define sipName_includedServices &sipStrings_QtBluetooth[9975]
#define sipNameNr_majorDeviceClass 9992
#define sipName_majorDeviceClass &sipStrings_QtBluetooth[9992]
#define sipNameNr_manufacturerData 10009
#define sipName_manufacturerData &sipStrings_QtBluetooth[10009]
#define sipNameNr_minorDeviceClass 10026
#define sipName_minorDeviceClass &sipStrings_QtBluetooth[10026]
#define sipNameNr_protocolToString 10043
#define sipName_protocolToString &sipStrings_QtBluetooth[10043]
#define sipNameNr_remoteDeviceUuid 10060
#define sipName_remoteDeviceUuid &sipStrings_QtBluetooth[10060]
#define sipNameNr_scanResponseData 10077
#define sipName_scanResponseData &sipStrings_QtBluetooth[10077]
#define sipNameNr_setIntervalRange 10094
#define sipName_setIntervalRange &sipStrings_QtBluetooth[10094]
#define sipNameNr_setRemoteAddress 10111
#define sipName_setRemoteAddress &sipStrings_QtBluetooth[10111]
#define sipNameNr_setSecurityFlags 10128
#define sipName_setSecurityFlags &sipStrings_QtBluetooth[10128]
#define sipNameNr_socketDescriptor 10145
#define sipName_socketDescriptor &sipStrings_QtBluetooth[10145]
#define sipNameNr_startAdvertising 10162
#define sipName_startAdvertising &sipStrings_QtBluetooth[10162]
#define sipNameNr_transferProgress 10179
#define sipName_transferProgress &sipStrings_QtBluetooth[10179]
#define sipNameNr_waitForReadyRead 10196
#define sipName_waitForReadyRead &sipStrings_QtBluetooth[10196]
#define sipNameNr_writeConstraints 10213
#define sipName_writeConstraints &sipStrings_QtBluetooth[10213]
#define sipNameNr_AlertCategoryID 10230
#define sipName_AlertCategoryID &sipStrings_QtBluetooth[10230]
#define sipNameNr_BodyComposition 10246
#define sipName_BodyComposition &sipStrings_QtBluetooth[10246]
#define sipNameNr_BrowseGroupList 10262
#define sipName_BrowseGroupList &sipStrings_QtBluetooth[10262]
#define sipNameNr_ConnectingState 10278
#define sipName_ConnectingState &sipStrings_QtBluetooth[10278]
#define sipNameNr_ConnectionError 10294
#define sipName_ConnectionError &sipStrings_QtBluetooth[10294]
#define sipNameNr_ControllerState 1400
#define sipName_ControllerState &sipStrings_QtBluetooth[1400]
#define sipNameNr_DataUnavailable 10310
#define sipName_DataUnavailable &sipStrings_QtBluetooth[10310]
#define sipNameNr_DesktopComputer 10326
#define sipName_DesktopComputer &sipStrings_QtBluetooth[10326]
#define sipNameNr_Discoverability 536
#define sipName_Discoverability &sipStrings_QtBluetooth[536]
#define sipNameNr_DiscoveredState 10342
#define sipName_DiscoveredState &sipStrings_QtBluetooth[10342]
#define sipNameNr_DiscoveryMethod 133
#define sipName_DiscoveryMethod &sipStrings_QtBluetooth[133]
#define sipNameNr_HIDControlPoint 10358
#define sipName_HIDControlPoint &sipStrings_QtBluetooth[10358]
#define sipNameNr_HandsFreeDevice 10374
#define sipName_HandsFreeDevice &sipStrings_QtBluetooth[10374]
#define sipNameNr_HiFiAudioDevice 10390
#define sipName_HiFiAudioDevice &sipStrings_QtBluetooth[10390]
#define sipNameNr_HostConnectable 10406
#define sipName_HostConnectable &sipStrings_QtBluetooth[10406]
#define sipNameNr_IgnoreWhiteList 10422
#define sipName_IgnoreWhiteList &sipStrings_QtBluetooth[10422]
#define sipNameNr_IncludedService 8324
#define sipName_IncludedService &sipStrings_QtBluetooth[8324]
#define sipNameNr_IrMCSyncCommand 10438
#define sipName_IrMCSyncCommand &sipStrings_QtBluetooth[10438]
#define sipNameNr_LANAccessDevice 10454
#define sipName_LANAccessDevice &sipStrings_QtBluetooth[10454]
#define sipNameNr_LengthAttribute 10470
#define sipName_LengthAttribute &sipStrings_QtBluetooth[10470]
#define sipNameNr_LowEnergyMethod 10486
#define sipName_LowEnergyMethod &sipStrings_QtBluetooth[10486]
#define sipNameNr_McapDataChannel 10502
#define sipName_McapDataChannel &sipStrings_QtBluetooth[10502]
#define sipNameNr_MinorPhoneClass 1324
#define sipName_MinorPhoneClass &sipStrings_QtBluetooth[1324]
#define sipNameNr_PhonebookAccess 10518
#define sipName_PhonebookAccess &sipStrings_QtBluetooth[10518]
#define sipNameNr_PositionQuality 10534
#define sipName_PositionQuality &sipStrings_QtBluetooth[10534]
#define sipNameNr_PoweredOffError 10550
#define sipName_PoweredOffError &sipStrings_QtBluetooth[10550]
#define sipNameNr_ReportReference 5120
#define sipName_ReportReference &sipStrings_QtBluetooth[5120]
#define sipNameNr_ServiceClassIds 10566
#define sipName_ServiceClassIds &sipStrings_QtBluetooth[10566]
#define sipNameNr_ServiceProvider 8609
#define sipName_ServiceProvider &sipStrings_QtBluetooth[8609]
#define sipNameNr_TemperatureType 10582
#define sipName_TemperatureType &sipStrings_QtBluetooth[10582]
#define sipNameNr_TimeUpdateState 10598
#define sipName_TimeUpdateState &sipStrings_QtBluetooth[10598]
#define sipNameNr_UnknownProtocol 10614
#define sipName_UnknownProtocol &sipStrings_QtBluetooth[10614]
#define sipNameNr_WearableGlasses 10630
#define sipName_WearableGlasses &sipStrings_QtBluetooth[10630]
#define sipNameNr_WriteNoResponse 10646
#define sipName_WriteNoResponse &sipStrings_QtBluetooth[10646]
#define sipNameNr_characteristics 10662
#define sipName_characteristics &sipStrings_QtBluetooth[10662]
#define sipNameNr_connectToDevice 10678
#define sipName_connectToDevice &sipStrings_QtBluetooth[10678]
#define sipNameNr_deviceConnected 10694
#define sipName_deviceConnected &sipStrings_QtBluetooth[10694]
#define sipNameNr_discoverDetails 10710
#define sipName_discoverDetails &sipStrings_QtBluetooth[10710]
#define sipNameNr_discoverability 10726
#define sipName_discoverability &sipStrings_QtBluetooth[10726]
#define sipNameNr_manufacturerIds 10742
#define sipName_manufacturerIds &sipStrings_QtBluetooth[10742]
#define sipNameNr_maximumInterval 10758
#define sipName_maximumInterval &sipStrings_QtBluetooth[10758]
#define sipNameNr_minimumInterval 10774
#define sipName_minimumInterval &sipStrings_QtBluetooth[10774]
#define sipNameNr_pairingFinished 10790
#define sipName_pairingFinished &sipStrings_QtBluetooth[10790]
#define sipNameNr_readConstraints 10806
#define sipName_readConstraints &sipStrings_QtBluetooth[10806]
#define sipNameNr_registerService 9330
#define sipName_registerService &sipStrings_QtBluetooth[9330]
#define sipNameNr_removeAttribute 10822
#define sipName_removeAttribute &sipStrings_QtBluetooth[10822]
#define sipNameNr_serviceProvider 10838
#define sipName_serviceProvider &sipStrings_QtBluetooth[10838]
#define sipNameNr_setServiceUuids 10854
#define sipName_setServiceUuids &sipStrings_QtBluetooth[10854]
#define sipNameNr_stopAdvertising 10870
#define sipName_stopAdvertising &sipStrings_QtBluetooth[10870]
#define sipNameNr_writeDescriptor 10886
#define sipName_writeDescriptor &sipStrings_QtBluetooth[10886]
#define sipNameNr_Authentication 10902
#define sipName_Authentication &sipStrings_QtBluetooth[10902]
#define sipNameNr_BatteryService 10917
#define sipName_BatteryService &sipStrings_QtBluetooth[10917]
#define sipNameNr_BondManagement 10932
#define sipName_BondManagement &sipStrings_QtBluetooth[10932]
#define sipNameNr_CSCMeasurement 10947
#define sipName_CSCMeasurement &sipStrings_QtBluetooth[10947]
#define sipNameNr_ComputerDevice 10962
#define sipName_ComputerDevice &sipStrings_QtBluetooth[10962]
#define sipNameNr_ConnectedState 10977
#define sipName_ConnectedState &sipStrings_QtBluetooth[10977]
#define sipNameNr_DataIncomplete 10992
#define sipName_DataIncomplete &sipStrings_QtBluetooth[10992]
#define sipNameNr_DescriptorType 2602
#define sipName_DescriptorType &sipStrings_QtBluetooth[2602]
#define sipNameNr_DirectPrinting 11007
#define sipName_DirectPrinting &sipStrings_QtBluetooth[11007]
#define sipNameNr_GlucoseFeature 11022
#define sipName_GlucoseFeature &sipStrings_QtBluetooth[11022]
#define sipNameNr_HIDInformation 11037
#define sipName_HIDInformation &sipStrings_QtBluetooth[11037]
#define sipNameNr_HostPoweredOff 11052
#define sipName_HostPoweredOff &sipStrings_QtBluetooth[11052]
#define sipNameNr_ImmediateAlert 11067
#define sipName_ImmediateAlert &sipStrings_QtBluetooth[11067]
#define sipNameNr_InvalidService 11082
#define sipName_InvalidService &sipStrings_QtBluetooth[11082]
#define sipNameNr_LNControlPoint 11097
#define sipName_LNControlPoint &sipStrings_QtBluetooth[11097]
#define sipNameNr_LaptopComputer 11112
#define sipName_LaptopComputer &sipStrings_QtBluetooth[11112]
#define sipNameNr_LimitedInquiry 2509
#define sipName_LimitedInquiry &sipStrings_QtBluetooth[2509]
#define sipNameNr_ListeningState 11127
#define sipName_ListeningState &sipStrings_QtBluetooth[11127]
#define sipNameNr_ObexObjectPush 11142
#define sipName_ObexObjectPush &sipStrings_QtBluetooth[11142]
#define sipNameNr_OperationError 11157
#define sipName_OperationError &sipStrings_QtBluetooth[11157]
#define sipNameNr_PeripheralRole 11172
#define sipName_PeripheralRole &sipStrings_QtBluetooth[11172]
#define sipNameNr_PnPInformation 11187
#define sipName_PnPInformation &sipStrings_QtBluetooth[11187]
#define sipNameNr_PrimaryService 11202
#define sipName_PrimaryService &sipStrings_QtBluetooth[11202]
#define sipNameNr_PrintingStatus 11217
#define sipName_PrintingStatus &sipStrings_QtBluetooth[11217]
#define sipNameNr_QBluetoothUuid 11232
#define sipName_QBluetoothUuid &sipStrings_QtBluetooth[11232]
#define sipNameNr_11247 11247
#define sipName_11247 &sipStrings_QtBluetooth[11247]
#define sipNameNr_RSCMeasurement 11262
#define sipName_RSCMeasurement &sipStrings_QtBluetooth[11262]
#define sipNameNr_RfcommProtocol 11277
#define sipName_RfcommProtocol &sipStrings_QtBluetooth[11277]
#define sipNameNr_SCControlPoint 11292
#define sipName_SCControlPoint &sipStrings_QtBluetooth[11292]
#define sipNameNr_ScanParameters 11307
#define sipName_ScanParameters &sipStrings_QtBluetooth[11307]
#define sipNameNr_SensorLocation 7850
#define sipName_SensorLocation &sipStrings_QtBluetooth[7850]
#define sipNameNr_ServerComputer 11322
#define sipName_ServerComputer &sipStrings_QtBluetooth[11322]
#define sipNameNr_ServiceChanged 11337
#define sipName_ServiceChanged &sipStrings_QtBluetooth[11337]
#define sipNameNr_ServiceClasses 1475
#define sipName_ServiceClasses &sipStrings_QtBluetooth[1475]
#define sipNameNr_WearableDevice 3475
#define sipName_WearableDevice &sipStrings_QtBluetooth[3475]
#define sipNameNr_WearableHelmet 11352
#define sipName_WearableHelmet &sipStrings_QtBluetooth[11352]
#define sipNameNr_WearableJacket 11367
#define sipName_WearableJacket &sipStrings_QtBluetooth[11367]
#define sipNameNr_bytesAvailable 11382
#define sipName_bytesAvailable &sipStrings_QtBluetooth[11382]
#define sipNameNr_characteristic 11397
#define sipName_characteristic &sipStrings_QtBluetooth[11397]
#define sipNameNr_descriptorRead 11412
#define sipName_descriptorRead &sipStrings_QtBluetooth[11412]
#define sipNameNr_manufacturerId 11427
#define sipName_manufacturerId &sipStrings_QtBluetooth[11427]
#define sipNameNr_readDescriptor 11442
#define sipName_readDescriptor &sipStrings_QtBluetooth[11442]
#define sipNameNr_requestPairing 11457
#define sipName_requestPairing &sipStrings_QtBluetooth[11457]
#define sipNameNr_serviceClasses 11472
#define sipName_serviceClasses &sipStrings_QtBluetooth[11472]
#define sipNameNr_setDescriptors 11487
#define sipName_setDescriptors &sipStrings_QtBluetooth[11487]
#define sipNameNr_setInquiryType 11502
#define sipName_setInquiryType &sipStrings_QtBluetooth[11502]
#define sipNameNr_setServiceName 11517
#define sipName_setServiceName &sipStrings_QtBluetooth[11517]
#define sipNameNr_setServiceUuid 11532
#define sipName_setServiceUuid &sipStrings_QtBluetooth[11532]
#define sipNameNr_setSocketError 11547
#define sipName_setSocketError &sipStrings_QtBluetooth[11547]
#define sipNameNr_setSocketState 11562
#define sipName_setSocketState &sipStrings_QtBluetooth[11562]
#define sipNameNr_setValueLength 11577
#define sipName_setValueLength &sipStrings_QtBluetooth[11577]
#define sipNameNr_socketProtocol 11592
#define sipName_socketProtocol &sipStrings_QtBluetooth[11592]
#define sipNameNr_AdvNonConnInd 11607
#define sipName_AdvNonConnInd &sipStrings_QtBluetooth[11607]
#define sipNameNr_Authorization 11621
#define sipName_Authorization &sipStrings_QtBluetooth[11621]
#define sipNameNr_BasicPrinting 11635
#define sipName_BasicPrinting &sipStrings_QtBluetooth[11635]
#define sipNameNr_BloodPressure 11649
#define sipName_BloodPressure &sipStrings_QtBluetooth[11649]
#define sipNameNr_CellularPhone 11663
#define sipName_CellularPhone &sipStrings_QtBluetooth[11663]
#define sipNameNr_ClassicMethod 11677
#define sipName_ClassicMethod &sipStrings_QtBluetooth[11677]
#define sipNameNr_CordlessPhone 11691
#define sipName_CordlessPhone &sipStrings_QtBluetooth[11691]
#define sipNameNr_DiscoveryMode 182
#define sipName_DiscoveryMode &sipStrings_QtBluetooth[182]
#define sipNameNr_FullDiscovery 11705
#define sipName_FullDiscovery &sipStrings_QtBluetooth[11705]
#define sipNameNr_GenericAccess 11719
#define sipName_GenericAccess &sipStrings_QtBluetooth[11719]
#define sipNameNr_ImagingDevice 3746
#define sipName_ImagingDevice &sipStrings_QtBluetooth[3746]
#define sipNameNr_L2capProtocol 11733
#define sipName_L2capProtocol &sipStrings_QtBluetooth[11733]
#define sipNameNr_MinorToyClass 1586
#define sipName_MinorToyClass &sipStrings_QtBluetooth[1586]
#define sipNameNr_NameAttribute 11747
#define sipName_NameAttribute &sipStrings_QtBluetooth[11747]
#define sipNameNr_NetworkDevice 11761
#define sipName_NetworkDevice &sipStrings_QtBluetooth[11761]
#define sipNameNr_NoSocketError 11775
#define sipName_NoSocketError &sipStrings_QtBluetooth[11775]
#define sipNameNr_PropertyTypes 861
#define sipName_PropertyTypes &sipStrings_QtBluetooth[861]
#define sipNameNr_PublicAddress 11789
#define sipName_PublicAddress &sipStrings_QtBluetooth[11789]
#define sipNameNr_RandomAddress 11803
#define sipName_RandomAddress &sipStrings_QtBluetooth[11803]
#define sipNameNr_RingerSetting 11817
#define sipName_RingerSetting &sipStrings_QtBluetooth[11817]
#define sipNameNr_SecurityFlags 4115
#define sipName_SecurityFlags &sipStrings_QtBluetooth[4115]
#define sipNameNr_TimeAttribute 11831
#define sipName_TimeAttribute &sipStrings_QtBluetooth[11831]
#define sipNameNr_ToyController 11845
#define sipName_ToyController &sipStrings_QtBluetooth[11845]
#define sipNameNr_TransferError 1096
#define sipName_TransferError &sipStrings_QtBluetooth[1096]
#define sipNameNr_TrueWindSpeed 11859
#define sipName_TrueWindSpeed &sipStrings_QtBluetooth[11859]
#define sipNameNr_TypeAttribute 11873
#define sipName_TypeAttribute &sipStrings_QtBluetooth[11873]
#define sipNameNr_WearablePager 11887
#define sipName_WearablePager &sipStrings_QtBluetooth[11887]
#define sipNameNr_addDescriptor 11901
#define sipName_addDescriptor &sipStrings_QtBluetooth[11901]
#define sipNameNr_connectNotify 9944
#define sipName_connectNotify &sipStrings_QtBluetooth[9944]
#define sipNameNr_createCentral 11915
#define sipName_createCentral &sipStrings_QtBluetooth[11915]
#define sipNameNr_deviceUpdated 11929
#define sipName_deviceUpdated &sipStrings_QtBluetooth[11929]
#define sipNameNr_newConnection 11943
#define sipName_newConnection &sipStrings_QtBluetooth[11943]
#define sipNameNr_pairingStatus 11957
#define sipName_pairingStatus &sipStrings_QtBluetooth[11957]
#define sipNameNr_remoteAddress 11971
#define sipName_remoteAddress &sipStrings_QtBluetooth[11971]
#define sipNameNr_securityFlags 11985
#define sipName_securityFlags &sipStrings_QtBluetooth[11985]
#define sipNameNr_serverAddress 11999
#define sipName_serverAddress &sipStrings_QtBluetooth[11999]
#define sipNameNr_serverChannel 12013
#define sipName_serverChannel &sipStrings_QtBluetooth[12013]
#define sipNameNr_setDeviceUuid 12027
#define sipName_setDeviceUuid &sipStrings_QtBluetooth[12027]
#define sipNameNr_setProperties 12041
#define sipName_setProperties &sipStrings_QtBluetooth[12041]
#define sipNameNr_setUuidFilter 12055
#define sipName_setUuidFilter &sipStrings_QtBluetooth[12055]
#define sipNameNr_AudioService 12069
#define sipName_AudioService &sipStrings_QtBluetooth[12069]
#define sipNameNr_BatteryLevel 12082
#define sipName_BatteryLevel &sipStrings_QtBluetooth[12082]
#define sipNameNr_Broadcasting 12095
#define sipName_Broadcasting &sipStrings_QtBluetooth[12095]
#define sipNameNr_ClosingState 12108
#define sipName_ClosingState &sipStrings_QtBluetooth[12108]
#define sipNameNr_CyclingPower 12121
#define sipName_CyclingPower &sipStrings_QtBluetooth[12121]
#define sipNameNr_DataComplete 12134
#define sipName_DataComplete &sipStrings_QtBluetooth[12134]
#define sipNameNr_EmailAddress 12147
#define sipName_EmailAddress &sipStrings_QtBluetooth[12147]
#define sipNameNr_ExactTime256 12160
#define sipName_ExactTime256 &sipStrings_QtBluetooth[12160]
#define sipNameNr_FilterPolicy 321
#define sipName_FilterPolicy &sipStrings_QtBluetooth[321]
#define sipNameNr_GamingDevice 12173
#define sipName_GamingDevice &sipStrings_QtBluetooth[12173]
#define sipNameNr_GenericAudio 12186
#define sipName_GenericAudio &sipStrings_QtBluetooth[12186]
#define sipNameNr_HealthDevice 4324
#define sipName_HealthDevice &sipStrings_QtBluetooth[4324]
#define sipNameNr_HeartRateMax 12199
#define sipName_HeartRateMax &sipStrings_QtBluetooth[12199]
#define sipNameNr_ImageDisplay 12212
#define sipName_ImageDisplay &sipStrings_QtBluetooth[12212]
#define sipNameNr_ImagePrinter 12225
#define sipName_ImagePrinter &sipStrings_QtBluetooth[12225]
#define sipNameNr_ImageScanner 12238
#define sipName_ImageScanner &sipStrings_QtBluetooth[12238]
#define sipNameNr_LocalService 12251
#define sipName_LocalService &sipStrings_QtBluetooth[12251]
#define sipNameNr_NetworkError 12264
#define sipName_NetworkError &sipStrings_QtBluetooth[12264]
#define sipNameNr_PairingError 12277
#define sipName_PairingError &sipStrings_QtBluetooth[12277]
#define sipNameNr_PropertyType 1136
#define sipName_PropertyType &sipStrings_QtBluetooth[1136]
#define sipNameNr_ProtocolMode 12290
#define sipName_ProtocolMode &sipStrings_QtBluetooth[12290]
#define sipNameNr_ProtocolUuid 3080
#define sipName_ProtocolUuid &sipStrings_QtBluetooth[3080]
#define sipNameNr_ServiceClass 1693
#define sipName_ServiceClass &sipStrings_QtBluetooth[1693]
#define sipNameNr_ServiceError 2385
#define sipName_ServiceError &sipStrings_QtBluetooth[2385]
#define sipNameNr_ServiceState 2417
#define sipName_ServiceState &sipStrings_QtBluetooth[2417]
#define sipNameNr_ServiceTypes 2449
#define sipName_ServiceTypes &sipStrings_QtBluetooth[2449]
#define sipNameNr_SessionError 12303
#define sipName_SessionError &sipStrings_QtBluetooth[12303]
#define sipNameNr_TimeAccuracy 12316
#define sipName_TimeAccuracy &sipStrings_QtBluetooth[12316]
#define sipNameNr_TxPowerLevel 12329
#define sipName_TxPowerLevel &sipStrings_QtBluetooth[12329]
#define sipNameNr_UnknownError 12342
#define sipName_UnknownError &sipStrings_QtBluetooth[12342]
#define sipNameNr_VideoMonitor 12355
#define sipName_VideoMonitor &sipStrings_QtBluetooth[12355]
#define sipNameNr_bytesToWrite 12368
#define sipName_bytesToWrite &sipStrings_QtBluetooth[12368]
#define sipNameNr_completeness 12381
#define sipName_completeness &sipStrings_QtBluetooth[12381]
#define sipNameNr_defaultValue 12394
#define sipName_defaultValue &sipStrings_QtBluetooth[12394]
#define sipNameNr_disconnected 12407
#define sipName_disconnected &sipStrings_QtBluetooth[12407]
#define sipNameNr_filterPolicy 12420
#define sipName_filterPolicy &sipStrings_QtBluetooth[12420]
#define sipNameNr_isRegistered 12433
#define sipName_isRegistered &sipStrings_QtBluetooth[12433]
#define sipNameNr_isSequential 12446
#define sipName_isSequential &sipStrings_QtBluetooth[12446]
#define sipNameNr_localAdapter 12459
#define sipName_localAdapter &sipStrings_QtBluetooth[12459]
#define sipNameNr_localAddress 12472
#define sipName_localAddress &sipStrings_QtBluetooth[12472]
#define sipNameNr_readLineData 12485
#define sipName_readLineData &sipStrings_QtBluetooth[12485]
#define sipNameNr_serviceUuids 12498
#define sipName_serviceUuids &sipStrings_QtBluetooth[12498]
#define sipNameNr_setAttribute 12511
#define sipName_setAttribute &sipStrings_QtBluetooth[12511]
#define sipNameNr_setLocalName 12524
#define sipName_setLocalName &sipStrings_QtBluetooth[12524]
#define sipNameNr_setWhiteList 12537
#define sipName_setWhiteList &sipStrings_QtBluetooth[12537]
#define sipNameNr_stateChanged 12550
#define sipName_stateChanged &sipStrings_QtBluetooth[12550]
#define sipNameNr_AddressInfo 367
#define sipName_AddressInfo &sipStrings_QtBluetooth[367]
#define sipNameNr_AlertStatus 9064
#define sipName_AlertStatus &sipStrings_QtBluetooth[9064]
#define sipNameNr_AllServices 12563
#define sipName_AllServices &sipStrings_QtBluetooth[12563]
#define sipNameNr_AttributeId 1729
#define sipName_AttributeId &sipStrings_QtBluetooth[1729]
#define sipNameNr_AudioSource 12575
#define sipName_AudioSource &sipStrings_QtBluetooth[12575]
#define sipNameNr_CentralRole 12587
#define sipName_CentralRole &sipStrings_QtBluetooth[12587]
#define sipNameNr_CurrentTime 12599
#define sipName_CurrentTime &sipStrings_QtBluetooth[12599]
#define sipNameNr_DateOfBirth 12611
#define sipName_DateOfBirth &sipStrings_QtBluetooth[12611]
#define sipNameNr_DayDateTime 12623
#define sipName_DayDateTime &sipStrings_QtBluetooth[12623]
#define sipNameNr_ImageCamera 12635
#define sipName_ImageCamera &sipStrings_QtBluetooth[12635]
#define sipNameNr_InquiryType 411
#define sipName_InquiryType &sipStrings_QtBluetooth[411]
#define sipNameNr_Loudspeaker 3829
#define sipName_Loudspeaker &sipStrings_QtBluetooth[3829]
#define sipNameNr_PhoneDevice 12647
#define sipName_PhoneDevice &sipStrings_QtBluetooth[12647]
#define sipNameNr_ReflectedUI 12659
#define sipName_ReflectedUI &sipStrings_QtBluetooth[12659]
#define sipNameNr_ScanRefresh 12671
#define sipName_ScanRefresh &sipStrings_QtBluetooth[12671]
#define sipNameNr_ServiceName 11520
#define sipName_ServiceName &sipStrings_QtBluetooth[11520]
#define sipNameNr_ServiceType 1799
#define sipName_ServiceType &sipStrings_QtBluetooth[1799]
#define sipNameNr_SocketError 2787
#define sipName_SocketError &sipStrings_QtBluetooth[2787]
#define sipNameNr_SocketState 2817
#define sipName_SocketState &sipStrings_QtBluetooth[2817]
#define sipNameNr_Temperature 5244
#define sipName_Temperature &sipStrings_QtBluetooth[5244]
#define sipNameNr_TimeWithDST 12683
#define sipName_TimeWithDST &sipStrings_QtBluetooth[12683]
#define sipNameNr_VideoCamera 12695
#define sipName_VideoCamera &sipStrings_QtBluetooth[12695]
#define sipNameNr_VideoSource 12707
#define sipName_VideoSource &sipStrings_QtBluetooth[12707]
#define sipNameNr_WeightScale 8812
#define sipName_WeightScale &sipStrings_QtBluetooth[8812]
#define sipNameNr_WriteSigned 12719
#define sipName_WriteSigned &sipStrings_QtBluetooth[12719]
#define sipNameNr_canReadLine 12731
#define sipName_canReadLine &sipStrings_QtBluetooth[12731]
#define sipNameNr_constraints 12743
#define sipName_constraints &sipStrings_QtBluetooth[12743]
#define sipNameNr_customEvent 12755
#define sipName_customEvent &sipStrings_QtBluetooth[12755]
#define sipNameNr_descriptors 12767
#define sipName_descriptors &sipStrings_QtBluetooth[12767]
#define sipNameNr_errorString 12779
#define sipName_errorString &sipStrings_QtBluetooth[12779]
#define sipNameNr_eventFilter 12791
#define sipName_eventFilter &sipStrings_QtBluetooth[12791]
#define sipNameNr_inquiryType 12803
#define sipName_inquiryType &sipStrings_QtBluetooth[12803]
#define sipNameNr_isListening 12815
#define sipName_isListening &sipStrings_QtBluetooth[12815]
#define sipNameNr_minimumSize 12827
#define sipName_minimumSize &sipStrings_QtBluetooth[12827]
#define sipNameNr_peerAddress 12839
#define sipName_peerAddress &sipStrings_QtBluetooth[12839]
#define sipNameNr_serviceName 12851
#define sipName_serviceName &sipStrings_QtBluetooth[12851]
#define sipNameNr_serviceUuid 12863
#define sipName_serviceUuid &sipStrings_QtBluetooth[12863]
#define sipNameNr_setHostMode 12875
#define sipName_setHostMode &sipStrings_QtBluetooth[12875]
#define sipNameNr_setInterval 12887
#define sipName_setInterval &sipStrings_QtBluetooth[12887]
#define sipNameNr_setServices 12899
#define sipName_setServices &sipStrings_QtBluetooth[12899]
#define sipNameNr_AdvScanInd 12911
#define sipName_AdvScanInd &sipStrings_QtBluetooth[12911]
#define sipNameNr_AlertLevel 12922
#define sipName_AlertLevel &sipStrings_QtBluetooth[12922]
#define sipNameNr_Appearance 12933
#define sipName_Appearance &sipStrings_QtBluetooth[12933]
#define sipNameNr_BasicImage 12944
#define sipName_BasicImage &sipStrings_QtBluetooth[12944]
#define sipNameNr_BoundState 12955
#define sipName_BoundState &sipStrings_QtBluetooth[12955]
#define sipNameNr_CSCFeature 12966
#define sipName_CSCFeature &sipStrings_QtBluetooth[12966]
#define sipNameNr_DeviceName 12977
#define sipName_DeviceName &sipStrings_QtBluetooth[12977]
#define sipNameNr_Encryption 12988
#define sipName_Encryption &sipStrings_QtBluetooth[12988]
#define sipNameNr_GNSSServer 12999
#define sipName_GNSSServer &sipStrings_QtBluetooth[12999]
#define sipNameNr_GustFactor 13010
#define sipName_GustFactor &sipStrings_QtBluetooth[13010]
#define sipNameNr_Headphones 13021
#define sipName_Headphones &sipStrings_QtBluetooth[13021]
#define sipNameNr_Irradiance 13032
#define sipName_Irradiance &sipStrings_QtBluetooth[13032]
#define sipNameNr_MPSProfile 13043
#define sipName_MPSProfile &sipStrings_QtBluetooth[13043]
#define sipNameNr_MPSService 13054
#define sipName_MPSService &sipStrings_QtBluetooth[13054]
#define sipNameNr_Microphone 13065
#define sipName_Microphone &sipStrings_QtBluetooth[13065]
#define sipNameNr_Navigation 6098
#define sipName_Navigation &sipStrings_QtBluetooth[6098]
#define sipNameNr_NoSecurity 13076
#define sipName_NoSecurity &sipStrings_QtBluetooth[13076]
#define sipNameNr_QBluetooth 13087
#define sipName_QBluetooth &sipStrings_QtBluetooth[13087]
#define sipNameNr_RSCFeature 13098
#define sipName_RSCFeature &sipStrings_QtBluetooth[13098]
#define sipNameNr_SerialPort 13109
#define sipName_SerialPort &sipStrings_QtBluetooth[13109]
#define sipNameNr_SmartPhone 13120
#define sipName_SmartPhone &sipStrings_QtBluetooth[13120]
#define sipNameNr_TimeSource 13131
#define sipName_TimeSource &sipStrings_QtBluetooth[13131]
#define sipNameNr_ToyVehicle 13142
#define sipName_ToyVehicle &sipStrings_QtBluetooth[13142]
#define sipNameNr_ValidRange 13153
#define sipName_ValidRange &sipStrings_QtBluetooth[13153]
#define sipNameNr___invert__ 13164
#define sipName___invert__ &sipStrings_QtBluetooth[13164]
#define sipNameNr___lshift__ 13175
#define sipName___lshift__ &sipStrings_QtBluetooth[13175]
#define sipNameNr___rshift__ 13186
#define sipName___rshift__ &sipStrings_QtBluetooth[13186]
#define sipNameNr_addService 13197
#define sipName_addService &sipStrings_QtBluetooth[13197]
#define sipNameNr_allDevices 13208
#define sipName_allDevices &sipStrings_QtBluetooth[13208]
#define sipNameNr_attributes 13219
#define sipName_attributes &sipStrings_QtBluetooth[13219]
#define sipNameNr_childEvent 13230
#define sipName_childEvent &sipStrings_QtBluetooth[13230]
#define sipNameNr_descriptor 13241
#define sipName_descriptor &sipStrings_QtBluetooth[13241]
#define sipNameNr_deviceUuid 13252
#define sipName_deviceUuid &sipStrings_QtBluetooth[13252]
#define sipNameNr_isComplete 13263
#define sipName_isComplete &sipStrings_QtBluetooth[13263]
#define sipNameNr_isFinished 13274
#define sipName_isFinished &sipStrings_QtBluetooth[13274]
#define sipNameNr_isReadable 13285
#define sipName_isReadable &sipStrings_QtBluetooth[13285]
#define sipNameNr_isWritable 13296
#define sipName_isWritable &sipStrings_QtBluetooth[13296]
#define sipNameNr_properties 13307
#define sipName_properties &sipStrings_QtBluetooth[13307]
#define sipNameNr_remoteName 13318
#define sipName_remoteName &sipStrings_QtBluetooth[13318]
#define sipNameNr_serverPort 13329
#define sipName_serverPort &sipStrings_QtBluetooth[13329]
#define sipNameNr_serverType 13340
#define sipName_serverType &sipStrings_QtBluetooth[13340]
#define sipNameNr_setAddress 13351
#define sipName_setAddress &sipStrings_QtBluetooth[13351]
#define sipNameNr_setLatency 13362
#define sipName_setLatency &sipStrings_QtBluetooth[13362]
#define sipNameNr_setManager 13373
#define sipName_setManager &sipStrings_QtBluetooth[13373]
#define sipNameNr_setRawData 13384
#define sipName_setRawData &sipStrings_QtBluetooth[13384]
#define sipNameNr_setRequest 13395
#define sipName_setRequest &sipStrings_QtBluetooth[13395]
#define sipNameNr_socketType 13406
#define sipName_socketType &sipStrings_QtBluetooth[13406]
#define sipNameNr_timerEvent 13417
#define sipName_timerEvent &sipStrings_QtBluetooth[13417]
#define sipNameNr_uuidFilter 13428
#define sipName_uuidFilter &sipStrings_QtBluetooth[13428]
#define sipNameNr_Attribute 1517
#define sipName_Attribute &sipStrings_QtBluetooth[1517]
#define sipNameNr_AudioSink 13439
#define sipName_AudioSink &sipStrings_QtBluetooth[13439]
#define sipNameNr_Camcorder 13449
#define sipName_Camcorder &sipStrings_QtBluetooth[13449]
#define sipNameNr_DSTOffset 13459
#define sipName_DSTOffset &sipStrings_QtBluetooth[13459]
#define sipNameNr_DayOfWeek 13469
#define sipName_DayOfWeek &sipStrings_QtBluetooth[13469]
#define sipNameNr_Display3D 13479
#define sipName_Display3D &sipStrings_QtBluetooth[13479]
#define sipNameNr_Elevation 13489
#define sipName_Elevation &sipStrings_QtBluetooth[13489]
#define sipNameNr_FirstName 13499
#define sipName_FirstName &sipStrings_QtBluetooth[13499]
#define sipNameNr_Glasses3D 13509
#define sipName_Glasses3D &sipStrings_QtBluetooth[13509]
#define sipNameNr_HDPSource 13519
#define sipName_HDPSource &sipStrings_QtBluetooth[13519]
#define sipNameNr_Handsfree 13529
#define sipName_Handsfree &sipStrings_QtBluetooth[13529]
#define sipNameNr_HeadsetAG 13539
#define sipName_HeadsetAG &sipStrings_QtBluetooth[13539]
#define sipNameNr_HeadsetHS 13549
#define sipName_HeadsetHS &sipStrings_QtBluetooth[13549]
#define sipNameNr_HeartRate 3340
#define sipName_HeartRate &sipStrings_QtBluetooth[3340]
#define sipNameNr_HeatIndex 13559
#define sipName_HeatIndex &sipStrings_QtBluetooth[13559]
#define sipNameNr_LNFeature 13569
#define sipName_LNFeature &sipStrings_QtBluetooth[13569]
#define sipNameNr_NoService 9676
#define sipName_NoService &sipStrings_QtBluetooth[9676]
#define sipNameNr_ReportMap 13579
#define sipName_ReportMap &sipStrings_QtBluetooth[13579]
#define sipNameNr_SIMAccess 13589
#define sipName_SIMAccess &sipStrings_QtBluetooth[13589]
#define sipNameNr_ServiceId 13599
#define sipName_ServiceId &sipStrings_QtBluetooth[13599]
#define sipNameNr_SetTopBox 13609
#define sipName_SetTopBox &sipStrings_QtBluetooth[13609]
#define sipNameNr_ToyDevice 13619
#define sipName_ToyDevice &sipStrings_QtBluetooth[13619]
#define sipNameNr_UdiCPlain 13629
#define sipName_UdiCPlain &sipStrings_QtBluetooth[13629]
#define sipNameNr_UserIndex 13639
#define sipName_UserIndex &sipStrings_QtBluetooth[13639]
#define sipNameNr_VideoSink 13649
#define sipName_VideoSink &sipStrings_QtBluetooth[13649]
#define sipNameNr_WindChill 13659
#define sipName_WindChill &sipStrings_QtBluetooth[13659]
#define sipNameNr_WriteMode 3170
#define sipName_WriteMode &sipStrings_QtBluetooth[3170]
#define sipNameNr___index__ 13669
#define sipName___index__ &sipStrings_QtBluetooth[13669]
#define sipNameNr_attribute 13679
#define sipName_attribute &sipStrings_QtBluetooth[13679]
#define sipNameNr_connected 8406
#define sipName_connected &sipStrings_QtBluetooth[8406]
#define sipNameNr_isRunning 13689
#define sipName_isRunning &sipStrings_QtBluetooth[13689]
#define sipNameNr_localName 13699
#define sipName_localName &sipStrings_QtBluetooth[13699]
#define sipNameNr_localPort 13709
#define sipName_localPort &sipStrings_QtBluetooth[13709]
#define sipNameNr_setCached 13719
#define sipName_setCached &sipStrings_QtBluetooth[13719]
#define sipNameNr_setDevice 6429
#define sipName_setDevice &sipStrings_QtBluetooth[6429]
#define sipNameNr_toUInt128 13729
#define sipName_toUInt128 &sipStrings_QtBluetooth[13729]
#define sipNameNr_whiteList 13739
#define sipName_whiteList &sipStrings_QtBluetooth[13739]
#define sipNameNr_writeData 13749
#define sipName_writeData &sipStrings_QtBluetooth[13749]
#define sipNameNr_CarAudio 13759
#define sipName_CarAudio &sipStrings_QtBluetooth[13759]
#define sipNameNr_DateTime 12626
#define sipName_DateTime &sipStrings_QtBluetooth[12626]
#define sipNameNr_DewPoint 13768
#define sipName_DewPoint &sipStrings_QtBluetooth[13768]
#define sipNameNr_HCRPrint 13777
#define sipName_HCRPrint &sipStrings_QtBluetooth[13777]
#define sipNameNr_HostMode 2165
#define sipName_HostMode &sipStrings_QtBluetooth[2165]
#define sipNameNr_Humidity 13786
#define sipName_Humidity &sipStrings_QtBluetooth[13786]
#define sipNameNr_Indicate 13795
#define sipName_Indicate &sipStrings_QtBluetooth[13795]
#define sipNameNr_IrMCSync 13804
#define sipName_IrMCSync &sipStrings_QtBluetooth[13804]
#define sipNameNr_Language 13813
#define sipName_Language &sipStrings_QtBluetooth[13813]
#define sipNameNr_LastName 13822
#define sipName_LastName &sipStrings_QtBluetooth[13822]
#define sipNameNr_LinkLoss 13831
#define sipName_LinkLoss &sipStrings_QtBluetooth[13831]
#define sipNameNr_NewAlert 13840
#define sipName_NewAlert &sipStrings_QtBluetooth[13840]
#define sipNameNr_NoMethod 13849
#define sipName_NoMethod &sipStrings_QtBluetooth[13849]
#define sipNameNr_Pressure 4683
#define sipName_Pressure &sipStrings_QtBluetooth[4683]
#define sipNameNr_Protocol 2229
#define sipName_Protocol &sipStrings_QtBluetooth[2229]
#define sipNameNr_Rainfall 13858
#define sipName_Rainfall &sipStrings_QtBluetooth[13858]
#define sipNameNr_Security 7008
#define sipName_Security &sipStrings_QtBluetooth[7008]
#define sipNameNr_Sequence 2261
#define sipName_Sequence &sipStrings_QtBluetooth[2261]
#define sipNameNr_SystemID 13867
#define sipName_SystemID &sipStrings_QtBluetooth[13867]
#define sipNameNr_TimeZone 13876
#define sipName_TimeZone &sipStrings_QtBluetooth[13876]
#define sipNameNr_ToyRobot 13885
#define sipName_ToyRobot &sipStrings_QtBluetooth[13885]
#define sipNameNr_Unpaired 13894
#define sipName_Unpaired &sipStrings_QtBluetooth[13894]
#define sipNameNr_UserData 13903
#define sipName_UserData &sipStrings_QtBluetooth[13903]
#define sipNameNr___bool__ 13912
#define sipName___bool__ &sipStrings_QtBluetooth[13912]
#define sipNameNr___hash__ 13921
#define sipName___hash__ &sipStrings_QtBluetooth[13921]
#define sipNameNr___iand__ 13930
#define sipName___iand__ &sipStrings_QtBluetooth[13930]
#define sipNameNr___ixor__ 13939
#define sipName___ixor__ &sipStrings_QtBluetooth[13939]
#define sipNameNr_canceled 13948
#define sipName_canceled &sipStrings_QtBluetooth[13948]
#define sipNameNr_contains 13957
#define sipName_contains &sipStrings_QtBluetooth[13957]
#define sipNameNr_finished 13966
#define sipName_finished &sipStrings_QtBluetooth[13966]
#define sipNameNr_hostMode 13975
#define sipName_hostMode &sipStrings_QtBluetooth[13975]
#define sipNameNr_isActive 13984
#define sipName_isActive &sipStrings_QtBluetooth[13984]
#define sipNameNr_isCached 13993
#define sipName_isCached &sipStrings_QtBluetooth[13993]
#define sipNameNr_peerName 14002
#define sipName_peerName &sipStrings_QtBluetooth[14002]
#define sipNameNr_peerPort 14011
#define sipName_peerPort &sipStrings_QtBluetooth[14011]
#define sipNameNr_quint128 14020
#define sipName_quint128 &sipStrings_QtBluetooth[14020]
#define sipNameNr_readData 14029
#define sipName_readData &sipStrings_QtBluetooth[14029]
#define sipNameNr_services 14038
#define sipName_services &sipStrings_QtBluetooth[14038]
#define sipNameNr_setValue 14047
#define sipName_setValue &sipStrings_QtBluetooth[14047]
#define sipNameNr_toString 14056
#define sipName_toString &sipStrings_QtBluetooth[14056]
#define sipNameNr_toUInt16 14065
#define sipName_toUInt16 &sipStrings_QtBluetooth[14065]
#define sipNameNr_toUInt32 14074
#define sipName_toUInt32 &sipStrings_QtBluetooth[14074]
#define sipNameNr_toUInt64 14083
#define sipName_toUInt64 &sipStrings_QtBluetooth[14083]
#define sipNameNr_Glucose 14092
#define sipName_Glucose &sipStrings_QtBluetooth[14092]
#define sipNameNr_HCRScan 14100
#define sipName_HCRScan &sipStrings_QtBluetooth[14100]
#define sipNameNr_HDPSink 14108
#define sipName_HDPSink &sipStrings_QtBluetooth[14108]
#define sipNameNr_Headset 14116
#define sipName_Headset &sipStrings_QtBluetooth[14116]
#define sipNameNr_IconUrl 14124
#define sipName_IconUrl &sipStrings_QtBluetooth[14124]
#define sipNameNr_NoError 14132
#define sipName_NoError &sipStrings_QtBluetooth[14132]
#define sipNameNr_Pairing 2578
#define sipName_Pairing &sipStrings_QtBluetooth[2578]
#define sipNameNr_ToyDoll 14140
#define sipName_ToyDoll &sipStrings_QtBluetooth[14140]
#define sipNameNr_ToyGame 14148
#define sipName_ToyGame &sipStrings_QtBluetooth[14148]
#define sipNameNr_TxPower 14156
#define sipName_TxPower &sipStrings_QtBluetooth[14156]
#define sipNameNr_UVIndex 14164
#define sipName_UVIndex &sipStrings_QtBluetooth[14164]
#define sipNameNr_Unknown 14172
#define sipName_Unknown &sipStrings_QtBluetooth[14172]
#define sipNameNr___and__ 14180
#define sipName___and__ &sipStrings_QtBluetooth[14180]
#define sipNameNr___int__ 14188
#define sipName___int__ &sipStrings_QtBluetooth[14188]
#define sipNameNr___ior__ 14196
#define sipName___ior__ &sipStrings_QtBluetooth[14196]
#define sipNameNr___xor__ 14204
#define sipName___xor__ &sipStrings_QtBluetooth[14204]
#define sipNameNr_address 14212
#define sipName_address &sipStrings_QtBluetooth[14212]
#define sipNameNr_isValid 14220
#define sipName_isValid &sipStrings_QtBluetooth[14220]
#define sipNameNr_latency 14228
#define sipName_latency &sipStrings_QtBluetooth[14228]
#define sipNameNr_manager 14236
#define sipName_manager &sipStrings_QtBluetooth[14236]
#define sipNameNr_powerOn 14244
#define sipName_powerOn &sipStrings_QtBluetooth[14244]
#define sipNameNr_rawData 14252
#define sipName_rawData &sipStrings_QtBluetooth[14252]
#define sipNameNr_request 14260
#define sipName_request &sipStrings_QtBluetooth[14260]
#define sipNameNr_setMode 14268
#define sipName_setMode &sipStrings_QtBluetooth[14268]
#define sipNameNr_setName 14276
#define sipName_setName &sipStrings_QtBluetooth[14276]
#define sipNameNr_setRssi 14284
#define sipName_setRssi &sipStrings_QtBluetooth[14284]
#define sipNameNr_setType 14292
#define sipName_setType &sipStrings_QtBluetooth[14292]
#define sipNameNr_setUuid 14300
#define sipName_setUuid &sipStrings_QtBluetooth[14300]
#define sipNameNr_AdvInd 14308
#define sipName_AdvInd &sipStrings_QtBluetooth[14308]
#define sipNameNr_Fields 3028
#define sipName_Fields &sipStrings_QtBluetooth[3028]
#define sipNameNr_Gender 14315
#define sipName_Gender &sipStrings_QtBluetooth[14315]
#define sipNameNr_Height 14322
#define sipName_Height &sipStrings_QtBluetooth[14322]
#define sipNameNr_Notify 9951
#define sipName_Notify &sipStrings_QtBluetooth[9951]
#define sipNameNr_Paired 9424
#define sipName_Paired &sipStrings_QtBluetooth[9424]
#define sipNameNr_Report 4560
#define sipName_Report &sipStrings_QtBluetooth[4560]
#define sipNameNr_Rfcomm 14329
#define sipName_Rfcomm &sipStrings_QtBluetooth[14329]
#define sipNameNr_Secure 14336
#define sipName_Secure &sipStrings_QtBluetooth[14336]
#define sipNameNr_TcsBin 14343
#define sipName_TcsBin &sipStrings_QtBluetooth[14343]
#define sipNameNr_VO2Max 14350
#define sipName_VO2Max &sipStrings_QtBluetooth[14350]
#define sipNameNr_Weight 14357
#define sipName_Weight &sipStrings_QtBluetooth[14357]
#define sipNameNr___eq__ 14364
#define sipName___eq__ &sipStrings_QtBluetooth[14364]
#define sipNameNr___ge__ 14371
#define sipName___ge__ &sipStrings_QtBluetooth[14371]
#define sipNameNr___lt__ 14378
#define sipName___lt__ &sipStrings_QtBluetooth[14378]
#define sipNameNr___ne__ 14385
#define sipName___ne__ &sipStrings_QtBluetooth[14385]
#define sipNameNr___or__ 14392
#define sipName___or__ &sipStrings_QtBluetooth[14392]
#define sipNameNr_device 14399
#define sipName_device &sipStrings_QtBluetooth[14399]
#define sipNameNr_handle 14406
#define sipName_handle &sipStrings_QtBluetooth[14406]
#define sipNameNr_isNull 14413
#define sipName_isNull &sipStrings_QtBluetooth[14413]
#define sipNameNr_listen 14420
#define sipName_listen &sipStrings_QtBluetooth[14420]
#define sipNameNr_parent 14427
#define sipName_parent &sipStrings_QtBluetooth[14427]
#define sipNameNr_Avctp 14434
#define sipName_Avctp &sipStrings_QtBluetooth[14434]
#define sipNameNr_Avdtp 14440
#define sipName_Avdtp &sipStrings_QtBluetooth[14440]
#define sipNameNr_Error 1065
#define sipName_Error &sipStrings_QtBluetooth[1065]
#define sipNameNr_Field 3372
#define sipName_Field &sipStrings_QtBluetooth[3372]
#define sipNameNr_L2cap 14446
#define sipName_L2cap &sipStrings_QtBluetooth[14446]
#define sipNameNr_None_ 14452
#define sipName_None_ &sipStrings_QtBluetooth[14452]
#define sipNameNr_PnPID 14458
#define sipName_PnPID &sipStrings_QtBluetooth[14458]
#define sipNameNr_TcsAt 14464
#define sipName_TcsAt &sipStrings_QtBluetooth[14464]
#define sipNameNr_Write 12375
#define sipName_Write &sipStrings_QtBluetooth[12375]
#define sipNameNr_abort 14470
#define sipName_abort &sipStrings_QtBluetooth[14470]
#define sipNameNr_atEnd 14476
#define sipName_atEnd &sipStrings_QtBluetooth[14476]
#define sipNameNr_clear 14482
#define sipName_clear &sipStrings_QtBluetooth[14482]
#define sipNameNr_close 14488
#define sipName_close &sipStrings_QtBluetooth[14488]
#define sipNameNr_error 14494
#define sipName_error &sipStrings_QtBluetooth[14494]
#define sipNameNr_event 14500
#define sipName_event &sipStrings_QtBluetooth[14500]
#define sipNameNr_reset 14506
#define sipName_reset &sipStrings_QtBluetooth[14506]
#define sipNameNr_start 14512
#define sipName_start &sipStrings_QtBluetooth[14512]
#define sipNameNr_state 14518
#define sipName_state &sipStrings_QtBluetooth[14518]
#define sipNameNr_value 14524
#define sipName_value &sipStrings_QtBluetooth[14524]
#define sipNameNr_Bnep 14530
#define sipName_Bnep &sipStrings_QtBluetooth[14530]
#define sipNameNr_Cmtp 14535
#define sipName_Cmtp &sipStrings_QtBluetooth[14535]
#define sipNameNr_GNSS 14540
#define sipName_GNSS &sipStrings_QtBluetooth[14540]
#define sipNameNr_Hidp 14545
#define sipName_Hidp &sipStrings_QtBluetooth[14545]
#define sipNameNr_Http 14550
#define sipName_Http &sipStrings_QtBluetooth[14550]
#define sipNameNr_Mode 191
#define sipName_Mode &sipStrings_QtBluetooth[191]
#define sipNameNr_Obex 14555
#define sipName_Obex &sipStrings_QtBluetooth[14555]
#define sipNameNr_PANU 14560
#define sipName_PANU &sipStrings_QtBluetooth[14560]
#define sipNameNr_RSSI 14565
#define sipName_RSSI &sipStrings_QtBluetooth[14565]
#define sipNameNr_Read 8354
#define sipName_Read &sipStrings_QtBluetooth[8354]
#define sipNameNr_Role 3701
#define sipName_Role &sipStrings_QtBluetooth[3701]
#define sipNameNr_Upnp 14570
#define sipName_Upnp &sipStrings_QtBluetooth[14570]
#define sipNameNr_mode 14575
#define sipName_mode &sipStrings_QtBluetooth[14575]
#define sipNameNr_name 14580
#define sipName_name &sipStrings_QtBluetooth[14580]
#define sipNameNr_open 14585
#define sipName_open &sipStrings_QtBluetooth[14585]
#define sipNameNr_port 4562
#define sipName_port &sipStrings_QtBluetooth[4562]
#define sipNameNr_role 14590
#define sipName_role &sipStrings_QtBluetooth[14590]
#define sipNameNr_rssi 14595
#define sipName_rssi &sipStrings_QtBluetooth[14595]
#define sipNameNr_seek 14600
#define sipName_seek &sipStrings_QtBluetooth[14600]
#define sipNameNr_size 14605
#define sipName_size &sipStrings_QtBluetooth[14605]
#define sipNameNr_stop 14610
#define sipName_stop &sipStrings_QtBluetooth[14610]
#define sipNameNr_swap 14615
#define sipName_swap &sipStrings_QtBluetooth[14615]
#define sipNameNr_type 14620
#define sipName_type &sipStrings_QtBluetooth[14620]
#define sipNameNr_uuid 14625
#define sipName_uuid &sipStrings_QtBluetooth[14625]
#define sipNameNr_Age 14630
#define sipName_Age &sipStrings_QtBluetooth[14630]
#define sipNameNr_All 14634
#define sipName_All &sipStrings_QtBluetooth[14634]
#define sipNameNr_Att 14638
#define sipName_Att &sipStrings_QtBluetooth[14638]
#define sipNameNr_Ftp 14642
#define sipName_Ftp &sipStrings_QtBluetooth[14642]
#define sipNameNr_HDP 14646
#define sipName_HDP &sipStrings_QtBluetooth[14646]
#define sipNameNr_NAP 14650
#define sipName_NAP &sipStrings_QtBluetooth[14650]
#define sipNameNr_Sdp 14654
#define sipName_Sdp &sipStrings_QtBluetooth[14654]
#define sipNameNr_Tcp 14658
#define sipName_Tcp &sipStrings_QtBluetooth[14658]
#define sipNameNr_Udp 14662
#define sipName_Udp &sipStrings_QtBluetooth[14662]
#define sipNameNr_Vcr 14666
#define sipName_Vcr &sipStrings_QtBluetooth[14666]
#define sipNameNr_Wsp 14670
#define sipName_Wsp &sipStrings_QtBluetooth[14670]
#define sipNameNr_pos 14674
#define sipName_pos &sipStrings_QtBluetooth[14674]
#define sipNameNr_put 14678
#define sipName_put &sipStrings_QtBluetooth[14678]
#define sipNameNr_GN 14682
#define sipName_GN &sipStrings_QtBluetooth[14682]
#define sipNameNr_Ip 14685
#define sipName_Ip &sipStrings_QtBluetooth[14685]
#define sipNameNr_ok 14688
#define sipName_ok &sipStrings_QtBluetooth[14688]

#define sipMalloc                   sipAPI_QtBluetooth->api_malloc
#define sipFree                     sipAPI_QtBluetooth->api_free
#define sipBuildResult              sipAPI_QtBluetooth->api_build_result
#define sipCallMethod               sipAPI_QtBluetooth->api_call_method
#define sipCallProcedureMethod      sipAPI_QtBluetooth->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtBluetooth->api_call_error_handler
#define sipParseResultEx            sipAPI_QtBluetooth->api_parse_result_ex
#define sipParseResult              sipAPI_QtBluetooth->api_parse_result
#define sipParseArgs                sipAPI_QtBluetooth->api_parse_args
#define sipParseKwdArgs             sipAPI_QtBluetooth->api_parse_kwd_args
#define sipParsePair                sipAPI_QtBluetooth->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtBluetooth->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtBluetooth->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtBluetooth->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtBluetooth->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtBluetooth->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtBluetooth->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtBluetooth->api_add_exception
#define sipNoFunction               sipAPI_QtBluetooth->api_no_function
#define sipNoMethod                 sipAPI_QtBluetooth->api_no_method
#define sipAbstractMethod           sipAPI_QtBluetooth->api_abstract_method
#define sipBadClass                 sipAPI_QtBluetooth->api_bad_class
#define sipBadCatcherResult         sipAPI_QtBluetooth->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtBluetooth->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtBluetooth->api_bad_operator_arg
#define sipTrace                    sipAPI_QtBluetooth->api_trace
#define sipTransferBack             sipAPI_QtBluetooth->api_transfer_back
#define sipTransferTo               sipAPI_QtBluetooth->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtBluetooth->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtBluetooth->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtBluetooth->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtBluetooth->api_voidptr_type
#define sipGetPyObject              sipAPI_QtBluetooth->api_get_pyobject
#define sipGetAddress               sipAPI_QtBluetooth->api_get_address
#define sipGetMixinAddress          sipAPI_QtBluetooth->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtBluetooth->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtBluetooth->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtBluetooth->api_call_hook
#define sipEndThread                sipAPI_QtBluetooth->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtBluetooth->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtBluetooth->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtBluetooth->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtBluetooth->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtBluetooth->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtBluetooth->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtBluetooth->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtBluetooth->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtBluetooth->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtBluetooth->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtBluetooth->api_convert_to_bool
#define sipReleaseType              sipAPI_QtBluetooth->api_release_type
#define sipConvertFromType          sipAPI_QtBluetooth->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtBluetooth->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtBluetooth->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtBluetooth->api_convert_from_enum
#define sipGetState                 sipAPI_QtBluetooth->api_get_state
#define sipExportSymbol             sipAPI_QtBluetooth->api_export_symbol
#define sipImportSymbol             sipAPI_QtBluetooth->api_import_symbol
#define sipFindType                 sipAPI_QtBluetooth->api_find_type
#define sipBytes_AsChar             sipAPI_QtBluetooth->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtBluetooth->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtBluetooth->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtBluetooth->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtBluetooth->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtBluetooth->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtBluetooth->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtBluetooth->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtBluetooth->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtBluetooth->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtBluetooth->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtBluetooth->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtBluetooth->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtBluetooth->api_deprecated
#define sipGetReference             sipAPI_QtBluetooth->api_get_reference
#define sipKeepReference            sipAPI_QtBluetooth->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtBluetooth->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtBluetooth->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtBluetooth->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtBluetooth->api_type_scope
#define sipResolveTypedef           sipAPI_QtBluetooth->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtBluetooth->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtBluetooth->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtBluetooth->api_init_mixin
#define sipExportModule             sipAPI_QtBluetooth->api_export_module
#define sipInitModule               sipAPI_QtBluetooth->api_init_module
#define sipGetInterpreter           sipAPI_QtBluetooth->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtBluetooth->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtBluetooth->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtBluetooth->api_py_type_dict
#define sipPyTypeName               sipAPI_QtBluetooth->api_py_type_name
#define sipGetCFunction             sipAPI_QtBluetooth->api_get_c_function
#define sipGetMethod                sipAPI_QtBluetooth->api_get_method
#define sipFromMethod               sipAPI_QtBluetooth->api_from_method
#define sipGetDate                  sipAPI_QtBluetooth->api_get_date
#define sipFromDate                 sipAPI_QtBluetooth->api_from_date
#define sipGetDateTime              sipAPI_QtBluetooth->api_get_datetime
#define sipFromDateTime             sipAPI_QtBluetooth->api_from_datetime
#define sipGetTime                  sipAPI_QtBluetooth->api_get_time
#define sipFromTime                 sipAPI_QtBluetooth->api_from_time
#define sipIsUserType               sipAPI_QtBluetooth->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtBluetooth->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtBluetooth->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtBluetooth->api_unicode_write
#define sipUnicodeData              sipAPI_QtBluetooth->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtBluetooth->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtBluetooth->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtBluetooth->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtBluetooth->api_is_derived_class
#define sipGetUserObject            sipAPI_QtBluetooth->api_get_user_object
#define sipSetUserObject            sipAPI_QtBluetooth->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtBluetooth->api_register_event_handler
#define sipConvertToArray           sipAPI_QtBluetooth->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtBluetooth->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtBluetooth->api_enable_gc
#define sipPrintObject              sipAPI_QtBluetooth->api_print_object
#define sipLong_AsChar              sipAPI_QtBluetooth->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtBluetooth->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtBluetooth->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtBluetooth->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtBluetooth->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtBluetooth->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtBluetooth->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtBluetooth->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtBluetooth->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtBluetooth->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtBluetooth->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtBluetooth->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtBluetooth->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtBluetooth->api_register_exit_notifier
#define sipPyTypeDictRef            sipAPI_QtBluetooth->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtBluetooth->api_next_exception_handler
#define sipSetNewUserTypeHandler    sipAPI_QtBluetooth->api_set_new_user_type_handler
#define sipGetFrame                 sipAPI_QtBluetooth->api_get_frame
#define sipSetDestroyOnExit         sipAPI_QtBluetooth->api_set_destroy_on_exit
#define sipEnableOverflowChecking   sipAPI_QtBluetooth->api_enable_overflow_checking
#define sipIsAPIEnabled             sipAPI_QtBluetooth->api_is_api_enabled
#define sipClearAnySlotReference    sipAPI_QtBluetooth->api_clear_any_slot_reference
#define sipConnectRx                sipAPI_QtBluetooth->api_connect_rx
#define sipConvertRx                sipAPI_QtBluetooth->api_convert_rx
#define sipDisconnectRx             sipAPI_QtBluetooth->api_disconnect_rx
#define sipFreeSipslot              sipAPI_QtBluetooth->api_free_sipslot
#define sipInvokeSlot               sipAPI_QtBluetooth->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtBluetooth->api_invoke_slot_ex
#define sipSameSlot                 sipAPI_QtBluetooth->api_same_slot
#define sipSaveSlot                 sipAPI_QtBluetooth->api_save_slot
#define sipVisitSlot                sipAPI_QtBluetooth->api_visit_slot
#define sipIsPyMethod               sipAPI_QtBluetooth->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtBluetooth[];

#define sipType_QBluetooth sipExportedTypes_QtBluetooth[0]

#define sipType_QBluetooth_AttAccessConstraint sipExportedTypes_QtBluetooth[1]

#define sipType_QBluetooth_Security sipExportedTypes_QtBluetooth[3]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetooth;

#define sipType_QBluetooth_SecurityFlags sipExportedTypes_QtBluetooth[4]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetooth_SecurityFlags;

#define sipType_QBluetooth_AttAccessConstraints sipExportedTypes_QtBluetooth[2]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetooth_AttAccessConstraints;

#define sipType_QBluetoothAddress sipExportedTypes_QtBluetooth[5]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothAddress;

#define sipType_QBluetoothDeviceDiscoveryAgent sipExportedTypes_QtBluetooth[6]

#define sipType_QBluetoothDeviceDiscoveryAgent_DiscoveryMethod sipExportedTypes_QtBluetooth[7]

#define sipType_QBluetoothDeviceDiscoveryAgent_InquiryType sipExportedTypes_QtBluetooth[10]

#define sipType_QBluetoothDeviceDiscoveryAgent_Error sipExportedTypes_QtBluetooth[9]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothDeviceDiscoveryAgent;

#define sipType_QBluetoothDeviceDiscoveryAgent_DiscoveryMethods sipExportedTypes_QtBluetooth[8]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothDeviceDiscoveryAgent_DiscoveryMethods;

#define sipType_QBluetoothDeviceInfo sipExportedTypes_QtBluetooth[11]

#define sipType_QBluetoothDeviceInfo_Field sipExportedTypes_QtBluetooth[15]

#define sipType_QBluetoothDeviceInfo_CoreConfiguration sipExportedTypes_QtBluetooth[12]

#define sipType_QBluetoothDeviceInfo_DataCompleteness sipExportedTypes_QtBluetooth[14]

#define sipType_QBluetoothDeviceInfo_ServiceClass sipExportedTypes_QtBluetooth[28]

#define sipType_QBluetoothDeviceInfo_MinorHealthClass sipExportedTypes_QtBluetooth[20]

#define sipType_QBluetoothDeviceInfo_MinorToyClass sipExportedTypes_QtBluetooth[26]

#define sipType_QBluetoothDeviceInfo_MinorWearableClass sipExportedTypes_QtBluetooth[27]

#define sipType_QBluetoothDeviceInfo_MinorImagingClass sipExportedTypes_QtBluetooth[21]

#define sipType_QBluetoothDeviceInfo_MinorPeripheralClass sipExportedTypes_QtBluetooth[24]

#define sipType_QBluetoothDeviceInfo_MinorAudioVideoClass sipExportedTypes_QtBluetooth[18]

#define sipType_QBluetoothDeviceInfo_MinorNetworkClass sipExportedTypes_QtBluetooth[23]

#define sipType_QBluetoothDeviceInfo_MinorPhoneClass sipExportedTypes_QtBluetooth[25]

#define sipType_QBluetoothDeviceInfo_MinorComputerClass sipExportedTypes_QtBluetooth[19]

#define sipType_QBluetoothDeviceInfo_MinorMiscellaneousClass sipExportedTypes_QtBluetooth[22]

#define sipType_QBluetoothDeviceInfo_MajorDeviceClass sipExportedTypes_QtBluetooth[17]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothDeviceInfo;

#define sipType_QBluetoothDeviceInfo_ServiceClasses sipExportedTypes_QtBluetooth[29]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothDeviceInfo_ServiceClasses;

#define sipType_QBluetoothDeviceInfo_CoreConfigurations sipExportedTypes_QtBluetooth[13]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothDeviceInfo_CoreConfigurations;

#define sipType_QBluetoothDeviceInfo_Fields sipExportedTypes_QtBluetooth[16]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothDeviceInfo_Fields;

#define sipType_QBluetoothHostInfo sipExportedTypes_QtBluetooth[30]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothHostInfo;

#define sipType_QBluetoothLocalDevice sipExportedTypes_QtBluetooth[31]

#define sipType_QBluetoothLocalDevice_Error sipExportedTypes_QtBluetooth[32]

#define sipType_QBluetoothLocalDevice_HostMode sipExportedTypes_QtBluetooth[33]

#define sipType_QBluetoothLocalDevice_Pairing sipExportedTypes_QtBluetooth[34]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothLocalDevice;

#define sipType_QBluetoothServer sipExportedTypes_QtBluetooth[35]

#define sipType_QBluetoothServer_Error sipExportedTypes_QtBluetooth[36]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothServer;

#define sipType_QBluetoothServiceDiscoveryAgent sipExportedTypes_QtBluetooth[37]

#define sipType_QBluetoothServiceDiscoveryAgent_DiscoveryMode sipExportedTypes_QtBluetooth[38]

#define sipType_QBluetoothServiceDiscoveryAgent_Error sipExportedTypes_QtBluetooth[39]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothServiceDiscoveryAgent;

#define sipType_QBluetoothServiceInfo sipExportedTypes_QtBluetooth[40]

#define sipType_QBluetoothServiceInfo_Protocol sipExportedTypes_QtBluetooth[42]

#define sipType_QBluetoothServiceInfo_AttributeId sipExportedTypes_QtBluetooth[41]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothServiceInfo;

#define sipType_QBluetoothSocket sipExportedTypes_QtBluetooth[44]

#define sipType_QBluetoothSocket_SocketError sipExportedTypes_QtBluetooth[45]

#define sipType_QBluetoothSocket_SocketState sipExportedTypes_QtBluetooth[46]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothSocket;

#define sipType_QBluetoothTransferManager sipExportedTypes_QtBluetooth[47]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothTransferManager;

#define sipType_QBluetoothTransferReply sipExportedTypes_QtBluetooth[48]

#define sipType_QBluetoothTransferReply_TransferError sipExportedTypes_QtBluetooth[49]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothTransferReply;

#define sipType_QBluetoothTransferRequest sipExportedTypes_QtBluetooth[50]

#define sipType_QBluetoothTransferRequest_Attribute sipExportedTypes_QtBluetooth[51]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothTransferRequest;

#define sipType_QBluetoothUuid sipExportedTypes_QtBluetooth[52]

#define sipType_QBluetoothUuid_DescriptorType sipExportedTypes_QtBluetooth[54]

#define sipType_QBluetoothUuid_CharacteristicType sipExportedTypes_QtBluetooth[53]

#define sipType_QBluetoothUuid_ServiceClassUuid sipExportedTypes_QtBluetooth[56]

#define sipType_QBluetoothUuid_ProtocolUuid sipExportedTypes_QtBluetooth[55]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QBluetoothUuid;

#define sipType_QLowEnergyAdvertisingData sipExportedTypes_QtBluetooth[70]

#define sipType_QLowEnergyAdvertisingData_Discoverability sipExportedTypes_QtBluetooth[71]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyAdvertisingData;

#define sipType_QLowEnergyAdvertisingParameters sipExportedTypes_QtBluetooth[72]

#define sipType_QLowEnergyAdvertisingParameters_FilterPolicy sipExportedTypes_QtBluetooth[74]

#define sipType_QLowEnergyAdvertisingParameters_Mode sipExportedTypes_QtBluetooth[75]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyAdvertisingParameters;

#define sipType_QLowEnergyAdvertisingParameters_AddressInfo sipExportedTypes_QtBluetooth[73]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyAdvertisingParameters_AddressInfo;

#define sipType_QLowEnergyCharacteristic sipExportedTypes_QtBluetooth[76]

#define sipType_QLowEnergyCharacteristic_PropertyType sipExportedTypes_QtBluetooth[77]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyCharacteristic;

#define sipType_QLowEnergyCharacteristic_PropertyTypes sipExportedTypes_QtBluetooth[78]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyCharacteristic_PropertyTypes;

#define sipType_QLowEnergyCharacteristicData sipExportedTypes_QtBluetooth[79]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyCharacteristicData;

#define sipType_QLowEnergyConnectionParameters sipExportedTypes_QtBluetooth[80]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyConnectionParameters;

#define sipType_QLowEnergyController sipExportedTypes_QtBluetooth[81]

#define sipType_QLowEnergyController_Role sipExportedTypes_QtBluetooth[85]

#define sipType_QLowEnergyController_RemoteAddressType sipExportedTypes_QtBluetooth[84]

#define sipType_QLowEnergyController_ControllerState sipExportedTypes_QtBluetooth[82]

#define sipType_QLowEnergyController_Error sipExportedTypes_QtBluetooth[83]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyController;

#define sipType_QLowEnergyDescriptor sipExportedTypes_QtBluetooth[86]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyDescriptor;

#define sipType_QLowEnergyDescriptorData sipExportedTypes_QtBluetooth[87]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyDescriptorData;

#define sipType_QLowEnergyService sipExportedTypes_QtBluetooth[88]

#define sipType_QLowEnergyService_WriteMode sipExportedTypes_QtBluetooth[93]

#define sipType_QLowEnergyService_ServiceState sipExportedTypes_QtBluetooth[90]

#define sipType_QLowEnergyService_ServiceError sipExportedTypes_QtBluetooth[89]

#define sipType_QLowEnergyService_ServiceType sipExportedTypes_QtBluetooth[91]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyService;

#define sipType_QLowEnergyService_ServiceTypes sipExportedTypes_QtBluetooth[92]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyService_ServiceTypes;

#define sipType_QLowEnergyServiceData sipExportedTypes_QtBluetooth[94]

#define sipType_QLowEnergyServiceData_ServiceType sipExportedTypes_QtBluetooth[95]

extern sipClassTypeDef sipTypeDef_QtBluetooth_QLowEnergyServiceData;

#define sipType_QList_0100QLowEnergyCharacteristicData sipExportedTypes_QtBluetooth[65]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QLowEnergyCharacteristicData;

#define sipType_QList_0101QLowEnergyService sipExportedTypes_QtBluetooth[68]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0101QLowEnergyService;

#define sipType_QList_0100QLowEnergyCharacteristic sipExportedTypes_QtBluetooth[64]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QLowEnergyCharacteristic;

#define sipType_QList_0100QLowEnergyDescriptorData sipExportedTypes_QtBluetooth[67]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QLowEnergyDescriptorData;

#define sipType_QList_0100QLowEnergyDescriptor sipExportedTypes_QtBluetooth[66]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QLowEnergyDescriptor;

#define sipType_QList_0100QLowEnergyAdvertisingParameters_AddressInfo sipExportedTypes_QtBluetooth[63]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QLowEnergyAdvertisingParameters_AddressInfo;

#define sipType_QList_0100QBluetoothServiceInfo sipExportedTypes_QtBluetooth[61]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QBluetoothServiceInfo;

#define sipType_QList_0100QBluetoothAddress sipExportedTypes_QtBluetooth[58]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QBluetoothAddress;

#define sipType_QList_0100QBluetoothHostInfo sipExportedTypes_QtBluetooth[60]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QBluetoothHostInfo;

#define sipType_QHash_1600_0100QByteArray sipExportedTypes_QtBluetooth[57]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QHash_1600_0100QByteArray;

#define sipType_QVector_0100QBluetoothUuid sipExportedTypes_QtBluetooth[96]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QVector_0100QBluetoothUuid;

#define sipType_QList_0100QBluetoothUuid sipExportedTypes_QtBluetooth[62]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QBluetoothUuid;

#define sipType_QList_0100QBluetoothDeviceInfo sipExportedTypes_QtBluetooth[59]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_0100QBluetoothDeviceInfo;

#define sipType_QBluetoothServiceInfo_Sequence sipExportedTypes_QtBluetooth[43]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QBluetoothServiceInfo_Sequence;

#define sipType_QList_1600 sipExportedTypes_QtBluetooth[69]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_QList_1600;

#define sipType_quint128 sipExportedTypes_QtBluetooth[97]

extern sipMappedTypeDef sipTypeDef_QtBluetooth_quint128;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtBluetooth;
extern sipExportedModuleDef sipModuleAPI_QtBluetooth;
extern sipTypeDef *sipExportedTypes_QtBluetooth[];

#define sipType_QObject sipImportedTypes_QtBluetooth_QtCore[7].it_td

#define sipType_QIODevice sipImportedTypes_QtBluetooth_QtCore[4].it_td

#define sipType_QByteArray sipImportedTypes_QtBluetooth_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtBluetooth_QtCore[3].it_td

#define sipType_QTimerEvent sipImportedTypes_QtBluetooth_QtCore[9].it_td

#define sipType_QChildEvent sipImportedTypes_QtBluetooth_QtCore[1].it_td

#define sipType_QDataStream sipImportedTypes_QtBluetooth_QtCore[2].it_td

#define sipType_QIODevice_OpenMode sipImportedTypes_QtBluetooth_QtCore[5].it_td

#define sipType_QMetaMethod sipImportedTypes_QtBluetooth_QtCore[6].it_td

#define sipType_QUuid sipImportedTypes_QtBluetooth_QtCore[10].it_td

#define sipType_QVariant sipImportedTypes_QtBluetooth_QtCore[11].it_td

#define sipType_QVector_1600 sipImportedTypes_QtBluetooth_QtCore[12].it_td

#define sipType_QString sipImportedTypes_QtBluetooth_QtCore[8].it_td
extern sipImportedTypeDef sipImportedTypes_QtBluetooth_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtBluetooth_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtBluetooth_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtBluetooth_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtBluetooth_qt_metacast;

#endif
