/*
 * Internal module API header file.
 *
 * Generated by SIP 6.8.6
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtNfcAPI_H
#define _QtNfcAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_CONSTEXPR
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QNearFieldManager__TargetAccessModes 0
#define sipName_QNearFieldManager__TargetAccessModes &sipStrings_QtNfc[0]
#define sipNameNr_QNearFieldManager__TargetAccessMode 37
#define sipName_QNearFieldManager__TargetAccessMode &sipStrings_QtNfc[37]
#define sipNameNr_QNearFieldShareManager__ShareError 73
#define sipName_QNearFieldShareManager__ShareError &sipStrings_QtNfc[73]
#define sipNameNr_QNearFieldShareManager__ShareModes 108
#define sipName_QNearFieldShareManager__ShareModes &sipStrings_QtNfc[108]
#define sipNameNr_QNdefNfcSmartPosterRecord__Action 143
#define sipName_QNdefNfcSmartPosterRecord__Action &sipStrings_QtNfc[143]
#define sipNameNr_QNearFieldShareManager__ShareMode 177
#define sipName_QNearFieldShareManager__ShareMode &sipStrings_QtNfc[177]
#define sipNameNr_QNearFieldManager__AdapterState 211
#define sipName_QNearFieldManager__AdapterState &sipStrings_QtNfc[211]
#define sipNameNr_QNearFieldTarget__AccessMethods 243
#define sipName_QNearFieldTarget__AccessMethods &sipStrings_QtNfc[243]
#define sipNameNr_QNearFieldTarget__AccessMethod 275
#define sipName_QNearFieldTarget__AccessMethod &sipStrings_QtNfc[275]
#define sipNameNr_QQmlNdefRecord__TypeNameFormat 306
#define sipName_QQmlNdefRecord__TypeNameFormat &sipStrings_QtNfc[306]
#define sipNameNr_QNdefNfcTextRecord__Encoding 337
#define sipName_QNdefNfcTextRecord__Encoding &sipStrings_QtNfc[337]
#define sipNameNr_unregisterNdefMessageHandler 366
#define sipName_unregisterNdefMessageHandler &sipStrings_QtNfc[366]
#define sipNameNr_QNdefRecord__TypeNameFormat 395
#define sipName_QNdefRecord__TypeNameFormat &sipStrings_QtNfc[395]
#define sipNameNr_QNearFieldTarget__RequestId 423
#define sipName_QNearFieldTarget__RequestId &sipStrings_QtNfc[423]
#define sipNameNr_ShareAlreadyInProgressError 451
#define sipName_ShareAlreadyInProgressError &sipStrings_QtNfc[451]
#define sipNameNr_TagTypeSpecificTargetAccess 479
#define sipName_TagTypeSpecificTargetAccess &sipStrings_QtNfc[479]
#define sipNameNr_SharePermissionDeniedError 507
#define sipName_SharePermissionDeniedError &sipStrings_QtNfc[507]
#define sipNameNr_registerNdefMessageHandler 368
#define sipName_registerNdefMessageHandler &sipStrings_QtNfc[368]
#define sipNameNr_534 534
#define sipName_534 &sipStrings_QtNfc[534]
#define sipNameNr_560 560
#define sipName_560 &sipStrings_QtNfc[560]
#define sipNameNr_QNdefNfcSmartPosterRecord 586
#define sipName_QNdefNfcSmartPosterRecord &sipStrings_QtNfc[586]
#define sipNameNr_UnsupportedShareModeError 612
#define sipName_UnsupportedShareModeError &sipStrings_QtNfc[612]
#define sipNameNr_InvalidShareContentError 638
#define sipName_InvalidShareContentError &sipStrings_QtNfc[638]
#define sipNameNr_QNearFieldTarget__Error 663
#define sipName_QNearFieldTarget__Error &sipStrings_QtNfc[663]
#define sipNameNr_waitForRequestCompleted 687
#define sipName_waitForRequestCompleted &sipStrings_QtNfc[687]
#define sipNameNr_InvalidParametersError 711
#define sipName_InvalidParametersError &sipStrings_QtNfc[711]
#define sipNameNr_QNearFieldShareManager 734
#define sipName_QNearFieldShareManager &sipStrings_QtNfc[734]
#define sipNameNr_QNearFieldTarget__Type 757
#define sipName_QNearFieldTarget__Type &sipStrings_QtNfc[757]
#define sipNameNr_ChecksumMismatchError 780
#define sipName_ChecksumMismatchError &sipStrings_QtNfc[780]
#define sipNameNr_NdefWriteTargetAccess 802
#define sipName_NdefWriteTargetAccess &sipStrings_QtNfc[802]
#define sipNameNr_QNearFieldShareTarget 824
#define sipName_QNearFieldShareTarget &sipStrings_QtNfc[824]
#define sipNameNr_ShareInterruptedError 846
#define sipName_ShareInterruptedError &sipStrings_QtNfc[846]
#define sipNameNr_TagTypeSpecificAccess 868
#define sipName_TagTypeSpecificAccess &sipStrings_QtNfc[868]
#define sipNameNr_TargetOutOfRangeError 890
#define sipName_TargetOutOfRangeError &sipStrings_QtNfc[890]
#define sipNameNr_setResponseForRequest 912
#define sipName_setResponseForRequest &sipStrings_QtNfc[912]
#define sipNameNr_typeNameFormatChanged 934
#define sipName_typeNameFormatChanged &sipStrings_QtNfc[934]
#define sipNameNr_NdefReadTargetAccess 956
#define sipName_NdefReadTargetAccess &sipStrings_QtNfc[956]
#define sipNameNr_emitRequestCompleted 977
#define sipName_emitRequestCompleted &sipStrings_QtNfc[977]
#define sipNameNr_setTargetAccessModes 998
#define sipName_setTargetAccessModes &sipStrings_QtNfc[998]
#define sipNameNr_startTargetDetection 1019
#define sipName_startTargetDetection &sipStrings_QtNfc[1019]
#define sipNameNr_1040 1040
#define sipName_1040 &sipStrings_QtNfc[1040]
#define sipNameNr_QNdefFilter__Record 1060
#define sipName_QNdefFilter__Record &sipStrings_QtNfc[1060]
#define sipNameNr_adapterStateChanged 1080
#define sipName_adapterStateChanged &sipStrings_QtNfc[1080]
#define sipNameNr_isProcessingCommand 1100
#define sipName_isProcessingCommand &sipStrings_QtNfc[1100]
#define sipNameNr_ndefMessagesWritten 1120
#define sipName_ndefMessagesWritten &sipStrings_QtNfc[1120]
#define sipNameNr_stopTargetDetection 1140
#define sipName_stopTargetDetection &sipStrings_QtNfc[1140]
#define sipNameNr_supportedShareModes 1160
#define sipName_supportedShareModes &sipStrings_QtNfc[1160]
#define sipNameNr_1180 1180
#define sipName_1180 &sipStrings_QtNfc[1180]
#define sipNameNr_QNdefNfcIconRecord 1199
#define sipName_QNdefNfcIconRecord &sipStrings_QtNfc[1199]
#define sipNameNr_QNdefNfcTextRecord 1218
#define sipName_QNdefNfcTextRecord &sipStrings_QtNfc[1218]
#define sipNameNr_ShareCanceledError 1237
#define sipName_ShareCanceledError &sipStrings_QtNfc[1237]
#define sipNameNr_ShareRejectedError 1256
#define sipName_ShareRejectedError &sipStrings_QtNfc[1256]
#define sipNameNr_QNdefNfcUriRecord 1275
#define sipName_QNdefNfcUriRecord &sipStrings_QtNfc[1275]
#define sipNameNr_QNearFieldManager 1293
#define sipName_QNearFieldManager &sipStrings_QtNfc[1293]
#define sipNameNr_TargetAccessModes 19
#define sipName_TargetAccessModes &sipStrings_QtNfc[19]
#define sipNameNr_UnspecifiedAction 1311
#define sipName_UnspecifiedAction &sipStrings_QtNfc[1311]
#define sipNameNr_isShareInProgress 1329
#define sipName_isShareInProgress &sipStrings_QtNfc[1329]
#define sipNameNr_setKeepConnection 1347
#define sipName_setKeepConnection &sipStrings_QtNfc[1347]
#define sipNameNr_setTypeNameFormat 1365
#define sipName_setTypeNameFormat &sipStrings_QtNfc[1365]
#define sipNameNr_shareModesChanged 1383
#define sipName_shareModesChanged &sipStrings_QtNfc[1383]
#define sipNameNr_sip_simplewrapper 1401
#define sipName_sip_simplewrapper &sipStrings_QtNfc[1401]
#define sipNameNr_targetAccessModes 1419
#define sipName_targetAccessModes &sipStrings_QtNfc[1419]
#define sipNameNr_writeNdefMessages 1437
#define sipName_writeNdefMessages &sipStrings_QtNfc[1437]
#define sipNameNr_QNearFieldTarget 1455
#define sipName_QNearFieldTarget &sipStrings_QtNfc[1455]
#define sipNameNr_TargetAccessMode 56
#define sipName_TargetAccessMode &sipStrings_QtNfc[56]
#define sipNameNr_UnsupportedError 1472
#define sipName_UnsupportedError &sipStrings_QtNfc[1472]
#define sipNameNr_disconnectNotify 1489
#define sipName_disconnectNotify &sipStrings_QtNfc[1489]
#define sipNameNr_maxCommandLength 1506
#define sipName_maxCommandLength &sipStrings_QtNfc[1506]
#define sipNameNr_readNdefMessages 1523
#define sipName_readNdefMessages &sipStrings_QtNfc[1523]
#define sipNameNr_requestCompleted 1540
#define sipName_requestCompleted &sipStrings_QtNfc[1540]
#define sipNameNr_NoResponseError 1557
#define sipName_NoResponseError &sipStrings_QtNfc[1557]
#define sipNameNr_ndefMessageRead 1573
#define sipName_ndefMessageRead &sipStrings_QtNfc[1573]
#define sipNameNr_requestResponse 1589
#define sipName_requestResponse &sipStrings_QtNfc[1589]
#define sipNameNr_NdefWriteError 1605
#define sipName_NdefWriteError &sipStrings_QtNfc[1605]
#define sipNameNr_NoTargetAccess 1620
#define sipName_NoTargetAccess &sipStrings_QtNfc[1620]
#define sipNameNr_ProprietaryTag 1635
#define sipName_ProprietaryTag &sipStrings_QtNfc[1635]
#define sipNameNr_QQmlNdefRecord 1650
#define sipName_QQmlNdefRecord &sipStrings_QtNfc[1650]
#define sipNameNr_TypeNameFormat 322
#define sipName_TypeNameFormat &sipStrings_QtNfc[322]
#define sipNameNr_handleResponse 1665
#define sipName_handleResponse &sipStrings_QtNfc[1665]
#define sipNameNr_hasNdefMessage 1680
#define sipName_hasNdefMessage &sipStrings_QtNfc[1680]
#define sipNameNr_keepConnection 1695
#define sipName_keepConnection &sipStrings_QtNfc[1695]
#define sipNameNr_targetDetected 1710
#define sipName_targetDetected &sipStrings_QtNfc[1710]
#define sipNameNr_typeNameFormat 1725
#define sipName_typeNameFormat &sipStrings_QtNfc[1725]
#define sipNameNr_AccessMethods 261
#define sipName_AccessMethods &sipStrings_QtNfc[261]
#define sipNameNr_NdefReadError 1740
#define sipName_NdefReadError &sipStrings_QtNfc[1740]
#define sipNameNr_UnknownAccess 1754
#define sipName_UnknownAccess &sipStrings_QtNfc[1754]
#define sipNameNr_accessMethods 1768
#define sipName_accessMethods &sipStrings_QtNfc[1768]
#define sipNameNr_connectNotify 1492
#define sipName_connectNotify &sipStrings_QtNfc[1492]
#define sipNameNr_fromByteArray 1782
#define sipName_fromByteArray &sipStrings_QtNfc[1782]
#define sipNameNr_recordChanged 1796
#define sipName_recordChanged &sipStrings_QtNfc[1796]
#define sipNameNr_setOrderMatch 1810
#define sipName_setOrderMatch &sipStrings_QtNfc[1810]
#define sipNameNr_setShareModes 1824
#define sipName_setShareModes &sipStrings_QtNfc[1824]
#define sipNameNr_shareFinished 1838
#define sipName_shareFinished &sipStrings_QtNfc[1838]
#define sipNameNr_AccessMethod 293
#define sipName_AccessMethod &sipStrings_QtNfc[293]
#define sipNameNr_AdapterState 230
#define sipName_AdapterState &sipStrings_QtNfc[230]
#define sipNameNr_CommandError 1852
#define sipName_CommandError &sipStrings_QtNfc[1852]
#define sipNameNr_QNdefMessage 1865
#define sipName_QNdefMessage &sipStrings_QtNfc[1865]
#define sipNameNr_UnknownError 1878
#define sipName_UnknownError &sipStrings_QtNfc[1878]
#define sipNameNr_appendRecord 1891
#define sipName_appendRecord &sipStrings_QtNfc[1891]
#define sipNameNr_disconnected 1904
#define sipName_disconnected &sipStrings_QtNfc[1904]
#define sipNameNr_sendCommands 1917
#define sipName_sendCommands &sipStrings_QtNfc[1917]
#define sipNameNr_titleRecords 1930
#define sipName_titleRecords &sipStrings_QtNfc[1930]
#define sipNameNr_ExternalRtd 1943
#define sipName_ExternalRtd &sipStrings_QtNfc[1943]
#define sipNameNr_NfcTagType1 1955
#define sipName_NfcTagType1 &sipStrings_QtNfc[1955]
#define sipNameNr_NfcTagType2 1967
#define sipName_NfcTagType2 &sipStrings_QtNfc[1967]
#define sipNameNr_NfcTagType3 1979
#define sipName_NfcTagType3 &sipStrings_QtNfc[1979]
#define sipNameNr_NfcTagType4 1991
#define sipName_NfcTagType4 &sipStrings_QtNfc[1991]
#define sipNameNr_PyQt5_QtNfc 2003
#define sipName_PyQt5_QtNfc &sipStrings_QtNfc[2003]
#define sipNameNr_QNdefFilter 2015
#define sipName_QNdefFilter &sipStrings_QtNfc[2015]
#define sipNameNr_QNdefRecord 2027
#define sipName_QNdefRecord &sipStrings_QtNfc[2027]
#define sipNameNr___delitem__ 2039
#define sipName___delitem__ &sipStrings_QtNfc[2039]
#define sipNameNr___getitem__ 2051
#define sipName___getitem__ &sipStrings_QtNfc[2051]
#define sipNameNr___setitem__ 2063
#define sipName___setitem__ &sipStrings_QtNfc[2063]
#define sipNameNr_customEvent 2075
#define sipName_customEvent &sipStrings_QtNfc[2075]
#define sipNameNr_eventFilter 2087
#define sipName_eventFilter &sipStrings_QtNfc[2087]
#define sipNameNr_hasTypeInfo 2099
#define sipName_hasTypeInfo &sipStrings_QtNfc[2099]
#define sipNameNr_iconRecords 2111
#define sipName_iconRecords &sipStrings_QtNfc[2111]
#define sipNameNr_isAvailable 2123
#define sipName_isAvailable &sipStrings_QtNfc[2123]
#define sipNameNr_isSupported 2135
#define sipName_isSupported &sipStrings_QtNfc[2135]
#define sipNameNr_recordCount 2147
#define sipName_recordCount &sipStrings_QtNfc[2147]
#define sipNameNr_removeTitle 2159
#define sipName_removeTitle &sipStrings_QtNfc[2159]
#define sipNameNr_reportError 2171
#define sipName_reportError &sipStrings_QtNfc[2171]
#define sipNameNr_sendCommand 2183
#define sipName_sendCommand &sipStrings_QtNfc[2183]
#define sipNameNr_setEncoding 2195
#define sipName_setEncoding &sipStrings_QtNfc[2195]
#define sipNameNr_setTypeInfo 2207
#define sipName_setTypeInfo &sipStrings_QtNfc[2207]
#define sipNameNr_titleRecord 2219
#define sipName_titleRecord &sipStrings_QtNfc[2219]
#define sipNameNr_toByteArray 2231
#define sipName_toByteArray &sipStrings_QtNfc[2231]
#define sipNameNr_typeChanged 2243
#define sipName_typeChanged &sipStrings_QtNfc[2243]
#define sipNameNr_EditAction 2255
#define sipName_EditAction &sipStrings_QtNfc[2255]
#define sipNameNr_LlcpAccess 2266
#define sipName_LlcpAccess &sipStrings_QtNfc[2266]
#define sipNameNr_NdefAccess 2277
#define sipName_NdefAccess &sipStrings_QtNfc[2277]
#define sipNameNr_SaveAction 2288
#define sipName_SaveAction &sipStrings_QtNfc[2288]
#define sipNameNr_ShareError 97
#define sipName_ShareError &sipStrings_QtNfc[97]
#define sipNameNr_ShareModes 132
#define sipName_ShareModes &sipStrings_QtNfc[132]
#define sipNameNr_TurningOff 2299
#define sipName_TurningOff &sipStrings_QtNfc[2299]
#define sipNameNr___invert__ 2310
#define sipName___invert__ &sipStrings_QtNfc[2310]
#define sipNameNr_childEvent 2321
#define sipName_childEvent &sipStrings_QtNfc[2321]
#define sipNameNr_disconnect 2332
#define sipName_disconnect &sipStrings_QtNfc[2332]
#define sipNameNr_iconRecord 2343
#define sipName_iconRecord &sipStrings_QtNfc[2343]
#define sipNameNr_orderMatch 2354
#define sipName_orderMatch &sipStrings_QtNfc[2354]
#define sipNameNr_removeIcon 2365
#define sipName_removeIcon &sipStrings_QtNfc[2365]
#define sipNameNr_setPayload 2376
#define sipName_setPayload &sipStrings_QtNfc[2376]
#define sipNameNr_shareError 2387
#define sipName_shareError &sipStrings_QtNfc[2387]
#define sipNameNr_shareModes 2398
#define sipName_shareModes &sipStrings_QtNfc[2398]
#define sipNameNr_targetLost 2409
#define sipName_targetLost &sipStrings_QtNfc[2409]
#define sipNameNr_timerEvent 2420
#define sipName_timerEvent &sipStrings_QtNfc[2420]
#define sipNameNr_titleCount 2431
#define sipName_titleCount &sipStrings_QtNfc[2431]
#define sipNameNr_FileShare 2442
#define sipName_FileShare &sipStrings_QtNfc[2442]
#define sipNameNr_MifareTag 2452
#define sipName_MifareTag &sipStrings_QtNfc[2452]
#define sipNameNr_NdefShare 2462
#define sipName_NdefShare &sipStrings_QtNfc[2462]
#define sipNameNr_RequestId 441
#define sipName_RequestId &sipStrings_QtNfc[441]
#define sipNameNr_ShareMode 201
#define sipName_ShareMode &sipStrings_QtNfc[201]
#define sipNameNr_TurningOn 2472
#define sipName_TurningOn &sipStrings_QtNfc[2472]
#define sipNameNr___index__ 2482
#define sipName___index__ &sipStrings_QtNfc[2482]
#define sipNameNr_hasAction 2492
#define sipName_hasAction &sipStrings_QtNfc[2492]
#define sipNameNr_iconCount 2502
#define sipName_iconCount &sipStrings_QtNfc[2502]
#define sipNameNr_setAction 2512
#define sipName_setAction &sipStrings_QtNfc[2512]
#define sipNameNr_setLocale 2522
#define sipName_setLocale &sipStrings_QtNfc[2522]
#define sipNameNr_setRecord 2532
#define sipName_setRecord &sipStrings_QtNfc[2532]
#define sipNameNr_setTitles 2542
#define sipName_setTitles &sipStrings_QtNfc[2542]
#define sipNameNr_uriRecord 2552
#define sipName_uriRecord &sipStrings_QtNfc[2552]
#define sipNameNr_DoAction 2562
#define sipName_DoAction &sipStrings_QtNfc[2562]
#define sipNameNr_Encoding 357
#define sipName_Encoding &sipStrings_QtNfc[357]
#define sipNameNr___bool__ 2571
#define sipName___bool__ &sipStrings_QtNfc[2571]
#define sipNameNr___hash__ 2580
#define sipName___hash__ &sipStrings_QtNfc[2580]
#define sipNameNr___iand__ 2589
#define sipName___iand__ &sipStrings_QtNfc[2589]
#define sipNameNr___ixor__ 2598
#define sipName___ixor__ &sipStrings_QtNfc[2598]
#define sipNameNr_addTitle 2607
#define sipName_addTitle &sipStrings_QtNfc[2607]
#define sipNameNr_encoding 2616
#define sipName_encoding &sipStrings_QtNfc[2616]
#define sipNameNr_hasTitle 2625
#define sipName_hasTitle &sipStrings_QtNfc[2625]
#define sipNameNr_mimetype 2634
#define sipName_mimetype &sipStrings_QtNfc[2634]
#define sipNameNr_recordAt 2643
#define sipName_recordAt &sipStrings_QtNfc[2643]
#define sipNameNr_refCount 2652
#define sipName_refCount &sipStrings_QtNfc[2652]
#define sipNameNr_setIcons 2661
#define sipName_setIcons &sipStrings_QtNfc[2661]
#define sipNameNr_typeInfo 2670
#define sipName_typeInfo &sipStrings_QtNfc[2670]
#define sipNameNr_NoError 2679
#define sipName_NoError &sipStrings_QtNfc[2679]
#define sipNameNr_NoShare 2687
#define sipName_NoShare &sipStrings_QtNfc[2687]
#define sipNameNr_Offline 2695
#define sipName_Offline &sipStrings_QtNfc[2695]
#define sipNameNr_Unknown 2703
#define sipName_Unknown &sipStrings_QtNfc[2703]
#define sipNameNr___and__ 2711
#define sipName___and__ &sipStrings_QtNfc[2711]
#define sipNameNr___int__ 2719
#define sipName___int__ &sipStrings_QtNfc[2719]
#define sipNameNr___ior__ 2727
#define sipName___ior__ &sipStrings_QtNfc[2727]
#define sipNameNr___len__ 2735
#define sipName___len__ &sipStrings_QtNfc[2735]
#define sipNameNr___xor__ 2743
#define sipName___xor__ &sipStrings_QtNfc[2743]
#define sipNameNr_addIcon 2751
#define sipName_addIcon &sipStrings_QtNfc[2751]
#define sipNameNr_hasIcon 2759
#define sipName_hasIcon &sipStrings_QtNfc[2759]
#define sipNameNr_hasSize 2767
#define sipName_hasSize &sipStrings_QtNfc[2767]
#define sipNameNr_isEmpty 2775
#define sipName_isEmpty &sipStrings_QtNfc[2775]
#define sipNameNr_isValid 2783
#define sipName_isValid &sipStrings_QtNfc[2783]
#define sipNameNr_maximum 2791
#define sipName_maximum &sipStrings_QtNfc[2791]
#define sipNameNr_minimum 2799
#define sipName_minimum &sipStrings_QtNfc[2799]
#define sipNameNr_payload 2807
#define sipName_payload &sipStrings_QtNfc[2807]
#define sipNameNr_setData 2815
#define sipName_setData &sipStrings_QtNfc[2815]
#define sipNameNr_setSize 2823
#define sipName_setSize &sipStrings_QtNfc[2823]
#define sipNameNr_setText 2831
#define sipName_setText &sipStrings_QtNfc[2831]
#define sipNameNr_setType 2839
#define sipName_setType &sipStrings_QtNfc[2839]
#define sipNameNr_Action 170
#define sipName_Action &sipStrings_QtNfc[170]
#define sipNameNr_NfcRtd 2847
#define sipName_NfcRtd &sipStrings_QtNfc[2847]
#define sipNameNr_Online 2854
#define sipName_Online &sipStrings_QtNfc[2854]
#define sipNameNr_Record 605
#define sipName_Record &sipStrings_QtNfc[605]
#define sipNameNr___eq__ 2861
#define sipName___eq__ &sipStrings_QtNfc[2861]
#define sipNameNr___ge__ 2868
#define sipName___ge__ &sipStrings_QtNfc[2868]
#define sipNameNr___lt__ 2875
#define sipName___lt__ &sipStrings_QtNfc[2875]
#define sipNameNr___ne__ 2882
#define sipName___ne__ &sipStrings_QtNfc[2882]
#define sipNameNr___or__ 2889
#define sipName___or__ &sipStrings_QtNfc[2889]
#define sipNameNr_action 2896
#define sipName_action &sipStrings_QtNfc[2896]
#define sipNameNr_cancel 2903
#define sipName_cancel &sipStrings_QtNfc[2903]
#define sipNameNr_locale 2910
#define sipName_locale &sipStrings_QtNfc[2910]
#define sipNameNr_parent 2917
#define sipName_parent &sipStrings_QtNfc[2917]
#define sipNameNr_record 2924
#define sipName_record &sipStrings_QtNfc[2924]
#define sipNameNr_setUri 2931
#define sipName_setUri &sipStrings_QtNfc[2931]
#define sipNameNr_Empty 2777
#define sipName_Empty &sipStrings_QtNfc[2777]
#define sipNameNr_Error 102
#define sipName_Error &sipStrings_QtNfc[102]
#define sipNameNr_Utf16 2938
#define sipName_Utf16 &sipStrings_QtNfc[2938]
#define sipNameNr_clear 2944
#define sipName_clear &sipStrings_QtNfc[2944]
#define sipNameNr_error 2950
#define sipName_error &sipStrings_QtNfc[2950]
#define sipNameNr_event 2956
#define sipName_event &sipStrings_QtNfc[2956]
#define sipNameNr_msecs 2962
#define sipName_msecs &sipStrings_QtNfc[2962]
#define sipNameNr_setId 2968
#define sipName_setId &sipStrings_QtNfc[2968]
#define sipNameNr_share 2974
#define sipName_share &sipStrings_QtNfc[2974]
#define sipNameNr_title 2980
#define sipName_title &sipStrings_QtNfc[2980]
#define sipNameNr_Mime 2986
#define sipName_Mime &sipStrings_QtNfc[2986]
#define sipNameNr_Type 775
#define sipName_Type &sipStrings_QtNfc[775]
#define sipNameNr_Utf8 2991
#define sipName_Utf8 &sipStrings_QtNfc[2991]
#define sipNameNr_data 2996
#define sipName_data &sipStrings_QtNfc[2996]
#define sipNameNr_icon 3001
#define sipName_icon &sipStrings_QtNfc[3001]
#define sipNameNr_size 3006
#define sipName_size &sipStrings_QtNfc[3006]
#define sipNameNr_text 3011
#define sipName_text &sipStrings_QtNfc[3011]
#define sipNameNr_type 2638
#define sipName_type &sipStrings_QtNfc[2638]
#define sipNameNr_Uri 2934
#define sipName_Uri &sipStrings_QtNfc[2934]
#define sipNameNr_max 3016
#define sipName_max &sipStrings_QtNfc[3016]
#define sipNameNr_min 3020
#define sipName_min &sipStrings_QtNfc[3020]
#define sipNameNr_uid 3024
#define sipName_uid &sipStrings_QtNfc[3024]
#define sipNameNr_uri 3028
#define sipName_uri &sipStrings_QtNfc[3028]
#define sipNameNr_url 3032
#define sipName_url &sipStrings_QtNfc[3032]
#define sipNameNr_id 2788
#define sipName_id &sipStrings_QtNfc[2788]

#define sipMalloc                   sipAPI_QtNfc->api_malloc
#define sipFree                     sipAPI_QtNfc->api_free
#define sipBuildResult              sipAPI_QtNfc->api_build_result
#define sipCallMethod               sipAPI_QtNfc->api_call_method
#define sipCallProcedureMethod      sipAPI_QtNfc->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtNfc->api_call_error_handler
#define sipParseResultEx            sipAPI_QtNfc->api_parse_result_ex
#define sipParseResult              sipAPI_QtNfc->api_parse_result
#define sipParseArgs                sipAPI_QtNfc->api_parse_args
#define sipParseKwdArgs             sipAPI_QtNfc->api_parse_kwd_args
#define sipParsePair                sipAPI_QtNfc->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtNfc->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtNfc->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtNfc->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtNfc->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtNfc->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtNfc->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtNfc->api_add_exception
#define sipNoFunction               sipAPI_QtNfc->api_no_function
#define sipNoMethod                 sipAPI_QtNfc->api_no_method
#define sipAbstractMethod           sipAPI_QtNfc->api_abstract_method
#define sipBadClass                 sipAPI_QtNfc->api_bad_class
#define sipBadCatcherResult         sipAPI_QtNfc->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtNfc->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtNfc->api_bad_operator_arg
#define sipTrace                    sipAPI_QtNfc->api_trace
#define sipTransferBack             sipAPI_QtNfc->api_transfer_back
#define sipTransferTo               sipAPI_QtNfc->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtNfc->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtNfc->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtNfc->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtNfc->api_voidptr_type
#define sipGetPyObject              sipAPI_QtNfc->api_get_pyobject
#define sipGetAddress               sipAPI_QtNfc->api_get_address
#define sipGetMixinAddress          sipAPI_QtNfc->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtNfc->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtNfc->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtNfc->api_call_hook
#define sipEndThread                sipAPI_QtNfc->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtNfc->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtNfc->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtNfc->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtNfc->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtNfc->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtNfc->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtNfc->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtNfc->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtNfc->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtNfc->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtNfc->api_convert_to_bool
#define sipReleaseType              sipAPI_QtNfc->api_release_type
#define sipConvertFromType          sipAPI_QtNfc->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtNfc->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtNfc->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtNfc->api_convert_from_enum
#define sipGetState                 sipAPI_QtNfc->api_get_state
#define sipExportSymbol             sipAPI_QtNfc->api_export_symbol
#define sipImportSymbol             sipAPI_QtNfc->api_import_symbol
#define sipFindType                 sipAPI_QtNfc->api_find_type
#define sipBytes_AsChar             sipAPI_QtNfc->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtNfc->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtNfc->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtNfc->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtNfc->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtNfc->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtNfc->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtNfc->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtNfc->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtNfc->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtNfc->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtNfc->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtNfc->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtNfc->api_deprecated
#define sipGetReference             sipAPI_QtNfc->api_get_reference
#define sipKeepReference            sipAPI_QtNfc->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtNfc->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtNfc->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtNfc->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtNfc->api_type_scope
#define sipResolveTypedef           sipAPI_QtNfc->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtNfc->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtNfc->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtNfc->api_init_mixin
#define sipExportModule             sipAPI_QtNfc->api_export_module
#define sipInitModule               sipAPI_QtNfc->api_init_module
#define sipGetInterpreter           sipAPI_QtNfc->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtNfc->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtNfc->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtNfc->api_py_type_dict
#define sipPyTypeName               sipAPI_QtNfc->api_py_type_name
#define sipGetCFunction             sipAPI_QtNfc->api_get_c_function
#define sipGetMethod                sipAPI_QtNfc->api_get_method
#define sipFromMethod               sipAPI_QtNfc->api_from_method
#define sipGetDate                  sipAPI_QtNfc->api_get_date
#define sipFromDate                 sipAPI_QtNfc->api_from_date
#define sipGetDateTime              sipAPI_QtNfc->api_get_datetime
#define sipFromDateTime             sipAPI_QtNfc->api_from_datetime
#define sipGetTime                  sipAPI_QtNfc->api_get_time
#define sipFromTime                 sipAPI_QtNfc->api_from_time
#define sipIsUserType               sipAPI_QtNfc->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtNfc->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtNfc->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtNfc->api_unicode_write
#define sipUnicodeData              sipAPI_QtNfc->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtNfc->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtNfc->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtNfc->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtNfc->api_is_derived_class
#define sipGetUserObject            sipAPI_QtNfc->api_get_user_object
#define sipSetUserObject            sipAPI_QtNfc->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtNfc->api_register_event_handler
#define sipConvertToArray           sipAPI_QtNfc->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtNfc->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtNfc->api_enable_gc
#define sipPrintObject              sipAPI_QtNfc->api_print_object
#define sipLong_AsChar              sipAPI_QtNfc->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtNfc->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtNfc->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtNfc->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtNfc->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtNfc->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtNfc->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtNfc->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtNfc->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtNfc->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtNfc->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtNfc->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtNfc->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtNfc->api_register_exit_notifier
#define sipPyTypeDictRef            sipAPI_QtNfc->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtNfc->api_next_exception_handler
#define sipSetNewUserTypeHandler    sipAPI_QtNfc->api_set_new_user_type_handler
#define sipGetFrame                 sipAPI_QtNfc->api_get_frame
#define sipSetDestroyOnExit         sipAPI_QtNfc->api_set_destroy_on_exit
#define sipEnableOverflowChecking   sipAPI_QtNfc->api_enable_overflow_checking
#define sipIsAPIEnabled             sipAPI_QtNfc->api_is_api_enabled
#define sipClearAnySlotReference    sipAPI_QtNfc->api_clear_any_slot_reference
#define sipConnectRx                sipAPI_QtNfc->api_connect_rx
#define sipConvertRx                sipAPI_QtNfc->api_convert_rx
#define sipDisconnectRx             sipAPI_QtNfc->api_disconnect_rx
#define sipFreeSipslot              sipAPI_QtNfc->api_free_sipslot
#define sipInvokeSlot               sipAPI_QtNfc->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtNfc->api_invoke_slot_ex
#define sipSameSlot                 sipAPI_QtNfc->api_same_slot
#define sipSaveSlot                 sipAPI_QtNfc->api_save_slot
#define sipVisitSlot                sipAPI_QtNfc->api_visit_slot
#define sipIsPyMethod               sipAPI_QtNfc->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtNfc[];

#define sipType_QNdefFilter sipExportedTypes_QtNfc[4]

extern sipClassTypeDef sipTypeDef_QtNfc_QNdefFilter;

#define sipType_QNdefFilter_Record sipExportedTypes_QtNfc[5]

extern sipClassTypeDef sipTypeDef_QtNfc_QNdefFilter_Record;

#define sipType_QNdefMessage sipExportedTypes_QtNfc[6]

extern sipClassTypeDef sipTypeDef_QtNfc_QNdefMessage;

#define sipType_QNdefRecord sipExportedTypes_QtNfc[13]

#define sipType_QNdefRecord_TypeNameFormat sipExportedTypes_QtNfc[14]

extern sipClassTypeDef sipTypeDef_QtNfc_QNdefRecord;

#define sipType_QNdefNfcIconRecord sipExportedTypes_QtNfc[7]

extern sipClassTypeDef sipTypeDef_QtNfc_QNdefNfcIconRecord;

#define sipType_QNdefNfcSmartPosterRecord sipExportedTypes_QtNfc[8]

#define sipType_QNdefNfcSmartPosterRecord_Action sipExportedTypes_QtNfc[9]

extern sipClassTypeDef sipTypeDef_QtNfc_QNdefNfcSmartPosterRecord;

#define sipType_QNdefNfcTextRecord sipExportedTypes_QtNfc[10]

#define sipType_QNdefNfcTextRecord_Encoding sipExportedTypes_QtNfc[11]

extern sipClassTypeDef sipTypeDef_QtNfc_QNdefNfcTextRecord;

#define sipType_QNdefNfcUriRecord sipExportedTypes_QtNfc[12]

extern sipClassTypeDef sipTypeDef_QtNfc_QNdefNfcUriRecord;

#define sipType_QNearFieldManager sipExportedTypes_QtNfc[15]

#define sipType_QNearFieldManager_AdapterState sipExportedTypes_QtNfc[16]

#define sipType_QNearFieldManager_TargetAccessMode sipExportedTypes_QtNfc[17]

extern sipClassTypeDef sipTypeDef_QtNfc_QNearFieldManager;

#define sipType_QNearFieldManager_TargetAccessModes sipExportedTypes_QtNfc[18]

extern sipClassTypeDef sipTypeDef_QtNfc_QNearFieldManager_TargetAccessModes;

#define sipType_QNearFieldShareManager sipExportedTypes_QtNfc[19]

#define sipType_QNearFieldShareManager_ShareMode sipExportedTypes_QtNfc[21]

#define sipType_QNearFieldShareManager_ShareError sipExportedTypes_QtNfc[20]

extern sipClassTypeDef sipTypeDef_QtNfc_QNearFieldShareManager;

#define sipType_QNearFieldShareManager_ShareModes sipExportedTypes_QtNfc[22]

extern sipClassTypeDef sipTypeDef_QtNfc_QNearFieldShareManager_ShareModes;

#define sipType_QNearFieldShareTarget sipExportedTypes_QtNfc[23]

extern sipClassTypeDef sipTypeDef_QtNfc_QNearFieldShareTarget;

#define sipType_QNearFieldTarget sipExportedTypes_QtNfc[24]

#define sipType_QNearFieldTarget_Error sipExportedTypes_QtNfc[27]

#define sipType_QNearFieldTarget_AccessMethod sipExportedTypes_QtNfc[25]

#define sipType_QNearFieldTarget_Type sipExportedTypes_QtNfc[29]

extern sipClassTypeDef sipTypeDef_QtNfc_QNearFieldTarget;

#define sipType_QNearFieldTarget_AccessMethods sipExportedTypes_QtNfc[26]

extern sipClassTypeDef sipTypeDef_QtNfc_QNearFieldTarget_AccessMethods;

#define sipType_QNearFieldTarget_RequestId sipExportedTypes_QtNfc[28]

extern sipClassTypeDef sipTypeDef_QtNfc_QNearFieldTarget_RequestId;

#define sipType_QQmlNdefRecord sipExportedTypes_QtNfc[30]

#define sipType_QQmlNdefRecord_TypeNameFormat sipExportedTypes_QtNfc[31]

extern sipClassTypeDef sipTypeDef_QtNfc_QQmlNdefRecord;

#define sipType_QList_0100QNdefMessage sipExportedTypes_QtNfc[0]

extern sipMappedTypeDef sipTypeDef_QtNfc_QList_0100QNdefMessage;

#define sipType_QList_0100QNdefNfcIconRecord sipExportedTypes_QtNfc[1]

extern sipMappedTypeDef sipTypeDef_QtNfc_QList_0100QNdefNfcIconRecord;

#define sipType_QList_0100QNdefNfcTextRecord sipExportedTypes_QtNfc[2]

extern sipMappedTypeDef sipTypeDef_QtNfc_QList_0100QNdefNfcTextRecord;

#define sipType_QList_0100QNdefRecord sipExportedTypes_QtNfc[3]

extern sipMappedTypeDef sipTypeDef_QtNfc_QList_0100QNdefRecord;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtNfc;
extern sipExportedModuleDef sipModuleAPI_QtNfc;
extern sipTypeDef *sipExportedTypes_QtNfc[];

#define sipType_QObject sipImportedTypes_QtNfc_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_QtNfc_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtNfc_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_QtNfc_QtCore[8].it_td

#define sipType_QChildEvent sipImportedTypes_QtNfc_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_QtNfc_QtCore[5].it_td

#define sipType_QUrl sipImportedTypes_QtNfc_QtCore[9].it_td

#define sipType_QVariant sipImportedTypes_QtNfc_QtCore[10].it_td

#define sipType_QList_0100QByteArray sipImportedTypes_QtNfc_QtCore[3].it_td

#define sipType_QList_0100QFileInfo sipImportedTypes_QtNfc_QtCore[4].it_td

#define sipType_QString sipImportedTypes_QtNfc_QtCore[7].it_td
extern sipImportedTypeDef sipImportedTypes_QtNfc_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtNfc_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtNfc_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtNfc_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtNfc_qt_metacast;
#line 159 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/sip/QtNfc/qnearfieldmanager.sip"
// Imports from QtCore.
typedef sipErrorState (*pyqt5_qtnfc_get_pyqtslot_parts_t)(PyObject *, QObject **, QByteArray &);
extern pyqt5_qtnfc_get_pyqtslot_parts_t pyqt5_qtnfc_get_pyqtslot_parts;
#line 834 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/build/QtNfc/sipAPIQtNfc.h"

#endif
