/*
 * Internal module API header file.
 *
 * Generated by SIP 6.8.6
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWebChannelAPI_H
#define _QtWebChannelAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_CONSTEXPR
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QWebChannelAbstractTransport 0
#define sipName_QWebChannelAbstractTransport &sipStrings_QtWebChannel[0]
#define sipNameNr_29 29
#define sipName_29 &sipStrings_QtWebChannel[29]
#define sipNameNr_blockUpdatesChanged 53
#define sipName_blockUpdatesChanged &sipStrings_QtWebChannel[53]
#define sipNameNr_PyQt5_QtWebChannel 73
#define sipName_PyQt5_QtWebChannel &sipStrings_QtWebChannel[73]
#define sipNameNr_registeredObjects 92
#define sipName_registeredObjects &sipStrings_QtWebChannel[92]
#define sipNameNr_deregisterObject 110
#define sipName_deregisterObject &sipStrings_QtWebChannel[110]
#define sipNameNr_disconnectNotify 127
#define sipName_disconnectNotify &sipStrings_QtWebChannel[127]
#define sipNameNr_messageReceived 144
#define sipName_messageReceived &sipStrings_QtWebChannel[144]
#define sipNameNr_registerObjects 160
#define sipName_registerObjects &sipStrings_QtWebChannel[160]
#define sipNameNr_setBlockUpdates 176
#define sipName_setBlockUpdates &sipStrings_QtWebChannel[176]
#define sipNameNr_disconnectFrom 192
#define sipName_disconnectFrom &sipStrings_QtWebChannel[192]
#define sipNameNr_registerObject 112
#define sipName_registerObject &sipStrings_QtWebChannel[112]
#define sipNameNr_connectNotify 130
#define sipName_connectNotify &sipStrings_QtWebChannel[130]
#define sipNameNr_blockUpdates 207
#define sipName_blockUpdates &sipStrings_QtWebChannel[207]
#define sipNameNr_QWebChannel 220
#define sipName_QWebChannel &sipStrings_QtWebChannel[220]
#define sipNameNr_customEvent 232
#define sipName_customEvent &sipStrings_QtWebChannel[232]
#define sipNameNr_eventFilter 244
#define sipName_eventFilter &sipStrings_QtWebChannel[244]
#define sipNameNr_sendMessage 256
#define sipName_sendMessage &sipStrings_QtWebChannel[256]
#define sipNameNr_childEvent 268
#define sipName_childEvent &sipStrings_QtWebChannel[268]
#define sipNameNr_timerEvent 279
#define sipName_timerEvent &sipStrings_QtWebChannel[279]
#define sipNameNr_connectTo 290
#define sipName_connectTo &sipStrings_QtWebChannel[290]
#define sipNameNr_parent 300
#define sipName_parent &sipStrings_QtWebChannel[300]
#define sipNameNr_event 307
#define sipName_event &sipStrings_QtWebChannel[307]

#define sipMalloc                   sipAPI_QtWebChannel->api_malloc
#define sipFree                     sipAPI_QtWebChannel->api_free
#define sipBuildResult              sipAPI_QtWebChannel->api_build_result
#define sipCallMethod               sipAPI_QtWebChannel->api_call_method
#define sipCallProcedureMethod      sipAPI_QtWebChannel->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtWebChannel->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWebChannel->api_parse_result_ex
#define sipParseResult              sipAPI_QtWebChannel->api_parse_result
#define sipParseArgs                sipAPI_QtWebChannel->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWebChannel->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWebChannel->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtWebChannel->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtWebChannel->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtWebChannel->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtWebChannel->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtWebChannel->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWebChannel->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWebChannel->api_add_exception
#define sipNoFunction               sipAPI_QtWebChannel->api_no_function
#define sipNoMethod                 sipAPI_QtWebChannel->api_no_method
#define sipAbstractMethod           sipAPI_QtWebChannel->api_abstract_method
#define sipBadClass                 sipAPI_QtWebChannel->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWebChannel->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWebChannel->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWebChannel->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWebChannel->api_trace
#define sipTransferBack             sipAPI_QtWebChannel->api_transfer_back
#define sipTransferTo               sipAPI_QtWebChannel->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtWebChannel->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWebChannel->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWebChannel->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWebChannel->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWebChannel->api_get_pyobject
#define sipGetAddress               sipAPI_QtWebChannel->api_get_address
#define sipGetMixinAddress          sipAPI_QtWebChannel->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWebChannel->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWebChannel->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtWebChannel->api_call_hook
#define sipEndThread                sipAPI_QtWebChannel->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtWebChannel->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWebChannel->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWebChannel->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWebChannel->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtWebChannel->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtWebChannel->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWebChannel->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWebChannel->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWebChannel->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtWebChannel->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtWebChannel->api_convert_to_bool
#define sipReleaseType              sipAPI_QtWebChannel->api_release_type
#define sipConvertFromType          sipAPI_QtWebChannel->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWebChannel->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWebChannel->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWebChannel->api_convert_from_enum
#define sipGetState                 sipAPI_QtWebChannel->api_get_state
#define sipExportSymbol             sipAPI_QtWebChannel->api_export_symbol
#define sipImportSymbol             sipAPI_QtWebChannel->api_import_symbol
#define sipFindType                 sipAPI_QtWebChannel->api_find_type
#define sipBytes_AsChar             sipAPI_QtWebChannel->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWebChannel->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWebChannel->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWebChannel->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWebChannel->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWebChannel->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWebChannel->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWebChannel->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWebChannel->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWebChannel->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWebChannel->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWebChannel->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWebChannel->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtWebChannel->api_deprecated
#define sipGetReference             sipAPI_QtWebChannel->api_get_reference
#define sipKeepReference            sipAPI_QtWebChannel->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWebChannel->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWebChannel->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWebChannel->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWebChannel->api_type_scope
#define sipResolveTypedef           sipAPI_QtWebChannel->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWebChannel->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtWebChannel->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtWebChannel->api_init_mixin
#define sipExportModule             sipAPI_QtWebChannel->api_export_module
#define sipInitModule               sipAPI_QtWebChannel->api_init_module
#define sipGetInterpreter           sipAPI_QtWebChannel->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtWebChannel->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtWebChannel->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtWebChannel->api_py_type_dict
#define sipPyTypeName               sipAPI_QtWebChannel->api_py_type_name
#define sipGetCFunction             sipAPI_QtWebChannel->api_get_c_function
#define sipGetMethod                sipAPI_QtWebChannel->api_get_method
#define sipFromMethod               sipAPI_QtWebChannel->api_from_method
#define sipGetDate                  sipAPI_QtWebChannel->api_get_date
#define sipFromDate                 sipAPI_QtWebChannel->api_from_date
#define sipGetDateTime              sipAPI_QtWebChannel->api_get_datetime
#define sipFromDateTime             sipAPI_QtWebChannel->api_from_datetime
#define sipGetTime                  sipAPI_QtWebChannel->api_get_time
#define sipFromTime                 sipAPI_QtWebChannel->api_from_time
#define sipIsUserType               sipAPI_QtWebChannel->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtWebChannel->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtWebChannel->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtWebChannel->api_unicode_write
#define sipUnicodeData              sipAPI_QtWebChannel->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtWebChannel->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtWebChannel->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtWebChannel->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtWebChannel->api_is_derived_class
#define sipGetUserObject            sipAPI_QtWebChannel->api_get_user_object
#define sipSetUserObject            sipAPI_QtWebChannel->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtWebChannel->api_register_event_handler
#define sipConvertToArray           sipAPI_QtWebChannel->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWebChannel->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtWebChannel->api_enable_gc
#define sipPrintObject              sipAPI_QtWebChannel->api_print_object
#define sipLong_AsChar              sipAPI_QtWebChannel->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtWebChannel->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtWebChannel->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtWebChannel->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtWebChannel->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtWebChannel->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtWebChannel->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtWebChannel->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtWebChannel->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtWebChannel->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtWebChannel->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtWebChannel->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtWebChannel->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtWebChannel->api_register_exit_notifier
#define sipPyTypeDictRef            sipAPI_QtWebChannel->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtWebChannel->api_next_exception_handler
#define sipSetNewUserTypeHandler    sipAPI_QtWebChannel->api_set_new_user_type_handler
#define sipGetFrame                 sipAPI_QtWebChannel->api_get_frame
#define sipSetDestroyOnExit         sipAPI_QtWebChannel->api_set_destroy_on_exit
#define sipEnableOverflowChecking   sipAPI_QtWebChannel->api_enable_overflow_checking
#define sipIsAPIEnabled             sipAPI_QtWebChannel->api_is_api_enabled
#define sipClearAnySlotReference    sipAPI_QtWebChannel->api_clear_any_slot_reference
#define sipConnectRx                sipAPI_QtWebChannel->api_connect_rx
#define sipConvertRx                sipAPI_QtWebChannel->api_convert_rx
#define sipDisconnectRx             sipAPI_QtWebChannel->api_disconnect_rx
#define sipFreeSipslot              sipAPI_QtWebChannel->api_free_sipslot
#define sipInvokeSlot               sipAPI_QtWebChannel->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtWebChannel->api_invoke_slot_ex
#define sipSameSlot                 sipAPI_QtWebChannel->api_same_slot
#define sipSaveSlot                 sipAPI_QtWebChannel->api_save_slot
#define sipVisitSlot                sipAPI_QtWebChannel->api_visit_slot
#define sipIsPyMethod               sipAPI_QtWebChannel->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtWebChannel[];

#define sipType_QWebChannel sipExportedTypes_QtWebChannel[1]

extern sipClassTypeDef sipTypeDef_QtWebChannel_QWebChannel;

#define sipType_QWebChannelAbstractTransport sipExportedTypes_QtWebChannel[2]

extern sipClassTypeDef sipTypeDef_QtWebChannel_QWebChannelAbstractTransport;

#define sipType_QHash_0100QString_0101QObject sipExportedTypes_QtWebChannel[0]

extern sipMappedTypeDef sipTypeDef_QtWebChannel_QHash_0100QString_0101QObject;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWebChannel;
extern sipExportedModuleDef sipModuleAPI_QtWebChannel;
extern sipTypeDef *sipExportedTypes_QtWebChannel[];

#define sipType_QObject sipImportedTypes_QtWebChannel_QtCore[4].it_td

#define sipType_QEvent sipImportedTypes_QtWebChannel_QtCore[1].it_td

#define sipType_QTimerEvent sipImportedTypes_QtWebChannel_QtCore[6].it_td

#define sipType_QChildEvent sipImportedTypes_QtWebChannel_QtCore[0].it_td

#define sipType_QMetaMethod sipImportedTypes_QtWebChannel_QtCore[3].it_td

#define sipType_QJsonObject sipImportedTypes_QtWebChannel_QtCore[2].it_td

#define sipType_QString sipImportedTypes_QtWebChannel_QtCore[5].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebChannel_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtWebChannel_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWebChannel_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtWebChannel_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWebChannel_qt_metacast;

#endif
